package javapas;

import java.awt.*;
import javax.swing.*;
import com.borland.jbcl.layout.*;
import javax.swing.event.*;

/**
 * <p>Title: Javapas</p>
 * <p>Description: Pascal Interpreter</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: AP</p>
 *
 * Ta klasa reprezentuje okno informacji o programie Javapas
 *
 * @author Wojciech Nabiaek
 * @version 1.0
 */
public class About extends JFrame {
  private BorderLayout borderLayout1 = new BorderLayout();
  /** Etykieta z nagwkiem okna */
  private JLabel jLabel1 = new JLabel();
  /** Przewijaki okna na informacje o projekcie */
  private JScrollPane jScrollPane1 = new JScrollPane();
  /** Okno na informacje o projekcie */
  private JEditorPane jEditorPane1 = new JEditorPane();

  /** Konstruktor domylny klasy */
  public About() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  /**
   * Metoda inicjujca zawarto okna
   *
   * @throws Exception
   */
  private void jbInit() throws Exception {
    jLabel1.setBackground(new Color(255, 255, 210));
    jLabel1.setFont(new java.awt.Font("Dialog", 1, 16));
    jLabel1.setForeground(new Color(10, 36, 150));
    jLabel1.setBorder(BorderFactory.createLineBorder(Color.black));
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setHorizontalTextPosition(SwingConstants.CENTER);
    jLabel1.setLabelFor(this);
    jLabel1.setText("O programie");
    this.getContentPane().setLayout(borderLayout1);
    jEditorPane1.setContentType("text/html");
    jEditorPane1.addHyperlinkListener(new javax.swing.event.HyperlinkListener() {
      public void hyperlinkUpdate(HyperlinkEvent e) {
        jEditorPane1_hyperlinkUpdate(e);
      }
    });
    jEditorPane1.setEditable(false);
    jEditorPane1.setText("<B>Javapas</b> jest interpreterem jzyka pascal napisanym w javie, co oznacza, e jest on wieloplatformowy.<br> Jego konstrukcja zostaa bardzo silnie ograniczona. Obecnie istnieje moliwo tworzenia jedynie prostych konstrukcji jak ptla <code>for</code> oraz warunek <code>if ... else</code>.<br> Dostpne s rwnie operacje WE/WY takie jak read(ln) i write(ln).<br> Zostaa rwnie zaimplementowana obsuga dla zmiennych dynamicznych (<code>new</code> i <code>dispose</code>).<br><br> Obecnie obsugiwane typy danych to: <code>String</code>, <code>Real</code>, <code>Integer</code> i <code>Boolean</code><br><br>Strona domowa projektu: <a href='http://javapas.sourceforge.net'>http://javapas.sourceforge.net</a><br><br><i>Projekt znajdowa si bdzie w sadium rozwoju a do uzyskania penej zgodnoci z jzykiem <b>Pascal</B>.</i><br>");
    jEditorPane1.setCaretPosition(0);
    this.getContentPane().add(jLabel1, BorderLayout.NORTH);
    this.getContentPane().add(jScrollPane1, BorderLayout.CENTER);
    this.setSize(new Dimension(360, 291));
    jScrollPane1.getViewport().add(jEditorPane1, null);
  }

  void jEditorPane1_hyperlinkUpdate(HyperlinkEvent e) {
    if (e.getEventType()==e.EventType.ACTIVATED)
    try {
      jEditorPane1.setPage(e.getURL());
    } catch (Exception ex){};
  }
}