package javapas;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import com.borland.jbcl.layout.*;

/**
 * <p>Title: Javapas</p>
 * <p>Description: Pascal Interpreter</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: AP</p>
 *
 * Ta klasa suy do wywietlania informacji na temat autorw projektu.
 *
 * @author Wojciech Nabiaek
 * @version 1.0
 */

public class Autorzy extends JFrame {
  private BorderLayout borderLayout1 = new BorderLayout();
  /** Nagwek okna */
  private JLabel jLabel1 = new JLabel();
  private Border border1;
  private JPanel jPanel1 = new JPanel();
  private VerticalFlowLayout verticalFlowLayout1 = new VerticalFlowLayout();
  private JTextPane jTextPane1 = new JTextPane();
  private JTextPane jTextPane2 = new JTextPane();
  private JTextPane jTextPane3 = new JTextPane();
  private JTextPane jTextPane4 = new JTextPane();

  public Autorzy() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  /**
   * Metoda inicjujca zawarto okna
   *
   * @throws Exception
   */
  private void jbInit() throws Exception {
    border1 = BorderFactory.createLineBorder(SystemColor.controlText,1);
    jLabel1.setFont(new java.awt.Font("Dialog", 1, 16));
    jLabel1.setForeground(new Color(10, 36, 113));
    jLabel1.setBorder(border1);
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setHorizontalTextPosition(SwingConstants.CENTER);
    jLabel1.setText("Autorzy projektu Javapas");
    this.setTitle("Javapas - Autorzy");
    this.setSize(new Dimension(387, 160));
    this.setResizable(false);
    this.getContentPane().setLayout(borderLayout1);
    jPanel1.setLayout(verticalFlowLayout1);
    jTextPane1.setBackground(new Color(255, 255, 224));
    jTextPane1.setEditable(false);
    jTextPane1.setText("Tadeusz Kiesner - Sprawdzanie poprawnoci kodu");
    jTextPane2.setBackground(new Color(255, 255, 209));
    jTextPane2.setText("Wojciech Nabiaek - Tworzenie pseudokodu, interfejs graficzny");
    jTextPane3.setBackground(new Color(255, 255, 199));
    jTextPane3.setText("Artur Niewiadomski - Wykonywanie pseudokodu");
    jTextPane4.setBackground(new Color(255, 255, 180));
    jTextPane4.setText("Krzysztof Trojanowski - Nadzr i wsparcie :)");
    this.getContentPane().add(jLabel1, BorderLayout.NORTH);
    this.getContentPane().add(jPanel1, BorderLayout.CENTER);
    jPanel1.add(jTextPane1, null);
    jPanel1.add(jTextPane2, null);
    jPanel1.add(jTextPane3, null);
    jPanel1.add(jTextPane4, null);
  }
}