package javapas;

/**
 * <p>Title: Javapas</p>
 * <p>Description: Pascal Interpreter</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: AP</p>
 * @author Tadeusz Kiesner
 * @version 1.1
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;
import java.io.*;


/**<p>Klasa wywoywana w celu dokonania sprawdzenia poprawnoci kodu wprowadzonego do okna edycji kodu dla programu JAVADOC. Klasa zawiera funkcjie odpowiedzialne za spawdzanie poszczeglnych instrukcji i blokw programu.</p>
 *<p>W przypadku wykrycia bdu dziaanie programu zostaje zatrzymane, a uytkownik otrzymuje stosowny komunikat bd.<p>
 */
class Poprawiacz extends JFrame
{
  /**komponent przeznaczony na wpisywanie kodu programw*/
  static JTextArea jta_plik = new JTextArea(24,66);
  /**komponent przeznaczony na wpisywanie bdw kompilacji*/
  static JTextArea jta_blad = new JTextArea(6,70);
  /**komponent przeznaczony na wpisywanie numerw lini kodu*/
  static JTextArea jta_liczb = new JTextArea(24,4);
  /**string na ktry wczytywana jest zawarto komponentu jta_plik tj. tre programu*/
  static String operowany;
  /**pamita sprawdzan lini program */
  static int enterow_wywalono=0;
  /**pamita uute stae*/
  static Vector v_const = new Vector();
  /**pamita uute zmienne*/
  static Vector v_var = new Vector();
  /**pamita typy uutych staych*/
  static Vector v_const_typ = new Vector();
  /**pamita typy uutych zmiennych*/
  static Vector v_var_typ = new Vector();
  /**pamita ilo uytych beginw*/
  static int beginow=0;
  /**pamita ilo uytych endw*/
  static int endow=0;
  /**pamita typ wyrania stojcego po lewej stronie operatora relacji*/
  static String lewy_typ_operatora_relacji = "";
  /**komponent umoliwiajcy wywietlenie okna otwierania plikw*/
  static JFileChooser chooser = new JFileChooser();
  /**komponent umoliwiajcy wywietlenie okna zapisywania plikw*/
  static JFileChooser chooser_save = new JFileChooser();
  /**pamita uyte zmienne dynamiczne*/
  static Vector v_new = new Vector();

  /**Konstruktor klasy

   */
  public Poprawiacz()
  {
    addWindowListener(new WindowAdapter()
    {
      public void windowClosing(WindowEvent e)
      {
        dispose();
        System.exit(0);
      }
    });
  }
  /**
    <p>Daje plansz umoliwiajce edycj pliku oraz podgld bdw.</p>
    *@return <p>komponent JPanel</p>
    */
  static public JPanel daj_panel()
  {
    JPanel jp = new JPanel();
    //jp.setLayout(new GridLayout(2,0));
    //jta_plik.setLineWrap(true);
    //jta_plik.setWrapStyleWord(true);
    jta_blad.setLineWrap(true);
    //jta_blad.setWrapStyleWord(true);
    //jta_plik.setBounds(33,33,jta_plik.getWidth()-33,jta_plik.getHeight()-33);
    //jta_plik.setBackground(new Color(245,252,247));
    //jta_blad.setBackground(new Color(254,245,247));
    jta_plik.setBorder(BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(),"File"));
    jta_blad.setBorder(BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(),"Errrors"));
    jta_liczb.setBorder(BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(),"Nu."));
    //jta_plik.setPreferredSize(new Dimension(600,600));
    //jta_plik.setMinimumSize(new Dimension(600,300));
    jta_blad.setEditable(false);
    jta_liczb.setEditable(false);
    jta_plik.addKeyListener(new KeyListener()
    {
      public void keyPressed(KeyEvent ev){//System.out.println(ev.getKeyCode());
      };
      public void keyTyped(KeyEvent ev){;};
      public void keyReleased(KeyEvent ev)
      {
        int kl= ev.getKeyCode();
        if((kl==10)|| (kl==127)||(kl==8)||(kl==86)||(kl==88))zmien_panel_liczb();
        //if(kl==67){System.out.println(":"+czytaj_cos("")+":");System.out.println(":"+operowany+":");}
        //if(kl==79){czytaj_odstepy();System.out.println("<"+enterow_wywalono+">");System.out.println("<"+operowany+">");}
        if(kl==118)
        {
          jta_blad.setText("");
          jta_blad.append(sprawdzanie());
        }
        if(kl==113)
        {
          //open
          int returnVal = chooser.showOpenDialog(null);
          if(returnVal == JFileChooser.APPROVE_OPTION) {
            File ff = chooser.getSelectedFile();
            try
            {
              FileInputStream fosw = new FileInputStream(ff);
              ObjectInputStream oosw = new ObjectInputStream( fosw );
              synchronized( oosw )
              {
                String wyp =(String)oosw.readObject();
                jta_plik.setText("");
                jta_plik.append(wyp);
                zmien_panel_liczb();
              }
              fosw.close();
            }catch (Exception er){
              System.out.println("reading file problems");
              JOptionPane.showMessageDialog(null, "Opening file impossible! \nRemember you can open only files \ncreated in program Checker.", "Ostrzeenie", 2);
            }
          }
        }
        if(kl==115)
        {
          //save
          chooser_save.setDialogType(JFileChooser.SAVE_DIALOG);
          int returnVal = chooser_save.showSaveDialog(null);
          if(returnVal == JFileChooser.APPROVE_OPTION)
          {
            File ff = chooser_save.getSelectedFile();
            try{
              FileOutputStream fos = new FileOutputStream(ff);
              ObjectOutputStream oos = new ObjectOutputStream(fos);
              synchronized( oos )
              {
                oos.writeObject(jta_plik.getText());
              }
            }catch (Exception er) {
              System.out.println("writing file problems");
              JOptionPane.showMessageDialog(null, "Writing file impossible!", "Ostrzeenie", 2);
            }
          }
        }
      };
    });

    jta_liczb.setText("");
    jta_liczb.append("1)\n");
    JPanel jp_l = new JPanel();
    jp_l.setLayout(new BorderLayout());
    jp_l.add(jta_liczb,BorderLayout.WEST);
    jp_l.add(jta_plik,BorderLayout.CENTER);
    JScrollPane jsp_plik = new JScrollPane(jp_l);
    JScrollPane jsp_blad = new JScrollPane(jta_blad);
    jp.add(jsp_plik);
    jp.add(jsp_blad);
    return jp;
  }

  /**
    <p>Uaktualnia panel zawierajcy numery kolejnych linii kodu. Aktualizacja panelu liczb dokonywana jest w momencie zmiany iloci linii kodu programu tj. wpisanie lub usuniecie znaku enter oraz wklejenia lub wycicia fragmentu dokumentu.</p>
    */
  static protected void zmien_panel_liczb()
  {
    jta_liczb.setText("");
    int wier = jta_plik.getLineCount();
    int pet;
    for(pet=1;pet<=wier;pet++)
      jta_liczb.append(pet+")\n");
  }

  /**<p>Tworzaca menu wraz z obsug dostpnych polece.</p>
   *@return <p>komponent JMenuBar</p>
   */
  public JMenuBar daj_menu()
  {
    final JMenuBar jmb = new JMenuBar();
    final JMenu jm1 = new JMenu("File");
    final JMenu jm2 = new JMenu("Help");

    final JMenuItem jmi_zakoncz = new JMenuItem("Exit");

    jmi_zakoncz.addActionListener(new ActionListener()
                                  {public void actionPerformed(ActionEvent e)
    {
      System.exit(0);
    }
    });

                                  final JMenuItem jmi_sprawdz = new JMenuItem("Check F7");

                                  jmi_sprawdz.addActionListener(new ActionListener()
                                      {public void actionPerformed(ActionEvent e)
                                  {
                                    jta_blad.setText("");
                                    jta_blad.append(sprawdzanie());
                                  }
                                  });

                                      final JMenuItem jmi_open = new JMenuItem("Open F2");

                                      jmi_open.addActionListener(new ActionListener()
                                          {public void actionPerformed(ActionEvent e)
                                      {
                                        int returnVal = chooser.showOpenDialog(null);
                                        if(returnVal == JFileChooser.APPROVE_OPTION) {
                                          File ff = chooser.getSelectedFile();
                                          try
                                          {
                                            FileInputStream fosw = new FileInputStream(ff);
                                            ObjectInputStream oosw = new ObjectInputStream( fosw );
                                            synchronized( oosw )
                                            {
                                              String wyp =(String)oosw.readObject();
                                              jta_plik.setText("");
                                              jta_plik.append(wyp);
                                              zmien_panel_liczb();
                                            }
                                            fosw.close();
                                          }catch (Exception er){
                                            System.out.println("reading file problems");
                                            JOptionPane.showMessageDialog(null, "Opening file impossible! \nRemember you can open only files \ncreated in program Checker.", "Ostrzeenie", 2);
                                          }
                                        }

                                      }
                                      });

                                          final JMenuItem jmi_save = new JMenuItem("Save F4");

                                          jmi_save.addActionListener(new ActionListener()
                                              {public void actionPerformed(ActionEvent e)
                                          {
                                            chooser_save.setDialogType(JFileChooser.SAVE_DIALOG);
                                            int returnVal = chooser_save.showSaveDialog(null);
                                            if(returnVal == JFileChooser.APPROVE_OPTION)
                                            {
                                              File ff = chooser_save.getSelectedFile();
                                              try{
                                                FileOutputStream fos = new FileOutputStream(ff);
                                                ObjectOutputStream oos = new ObjectOutputStream(fos);
                                                synchronized( oos )
                                                {
                                                  oos.writeObject(jta_plik.getText());
                                                }
                                              }catch (Exception er) {
                                                System.out.println("writing file problems");
                                                JOptionPane.showMessageDialog(null, "Writing file impossible!", "Ostrzeenie", 2);
                                              }
                                            }
                                          }
                                          });

                                              //pomylka jmi_pomoc z jmi_o_programie (ale nie chce mi sie jej naprawiac)
                                              final JMenuItem jmi_pomoc = new JMenuItem("About program");
                                              jmi_pomoc.addActionListener(new ActionListener()
                                                  {public void actionPerformed(ActionEvent e)
                                              {
                                                JPanel jooa = new JPanel(new GridLayout(0,1));
                                                JPanel p2 = new JPanel();
                                                JFrame jop = new JFrame("About program");
                                                JLabel l2= new JLabel("Tadeusz Kiesner",1/2);
                                                JLabel l4= new JLabel("tk28@hoga.pl",1/2);
                                                JLabel l1= new JLabel("Checker ",1/2);
                                                JLabel l5= new JLabel("Program typu freeware.",1/2);
                                                JLabel l6= new JLabel("    ");
                                                JLabel l7= new JLabel("   ");
                                                JLabel l8= new JLabel("Changing program code is forbidden!",1/2);
                                                l1.setFont(new Font("Arial",1,22));
                                                l2.setFont(new Font("Arial",0,20));
                                                //l3.setFont(new Font("Arial",0,20));
                                                l4.setFont(new Font("Arial",0,18));
                                                l5.setFont(new Font("Arial",0,14));
                                                l6.setFont(new Font("Arial",0,6));
                                                l7.setFont(new Font("Arial",0,6));
                                                l8.setFont(new Font("Arial",0,10));
                                                jooa.add(l1);
                                                jooa.add(l6);
                                                jooa.add(l2);
                                                //jooa.add(l3);
                                                jooa.add(l4);
                                                jooa.add(l5);
                                                jooa.add(l8);
                                                p2.add(jooa);
                                                jop.getContentPane().add(p2);
                                                jop.pack();
                                                jop.setResizable(false);
                                                jop.setLocation(220,220);
                                                jop.setSize(300,230);
                                                jop.show();


                                              }
                                              });

                                                  final JMenuItem jmi_o_programie = new JMenuItem("Help");
                                                  jm1.add(jmi_sprawdz);
                                                  jm1.add(jmi_open);
                                                  jm1.add(jmi_save);
                                                  jm1.add(jmi_zakoncz);
                                                  jm2.add(jmi_pomoc);
                                                  jm2.add(jmi_o_programie);
                                                  jmb.add(jm1);
                                                  jmb.add(jm2);
                                                  return jmb;
  }

  /**
 <p>Funkcja usuwajca komentarze z dokumentu wraz z ich zawartoci. Funkcja sygnalizuje bd gdy liczba komentarzy nie jest zgodna.</p>
 *@return <p>String "0" oznaczajcy poprawne wykonanie lub komunikat bdu w przeciwnym przypadku</p>
 */
  static public String sprawdz_komentarze()
  {
    int lin=1;
    if(operowany.length()==0) return "0";
    int gdzie = operowany.indexOf("{");
    int gdzie2 = operowany.indexOf("}");
    if ((gdzie==gdzie2)&&(gdzie==-1)) return "0";
    if((gdzie!=-1)&&(gdzie2!=-1)&&(gdzie>gdzie2))//jezel oba wystapily ale znak '}' wystapil przed '{'
    {
      lin = w_lini(operowany.substring(0,gdzie2));
      return ("Line"+(lin+1)+": '{' expected");
    }
    if(gdzie==-1)//nie ma nawiasu otwierajacego
    {
      if(gdzie2==-1)return "0";
      else //ale jest zamykajacy
      {
        lin = w_lini(operowany.substring(0,gdzie2));
        return ("Line"+(lin+1)+": '{' expected");
      }

    }
    //jest nawias otwierajacy
    if(gdzie2==-1)//nie ma zamykajacego
    {
      lin = w_lini(operowany.substring(0,gdzie));
      return ("Line"+(lin+1)+": '}' expected");
    }
    //wycinamy od { do } ale dodajemy entery (beda jeszcze nam potrzebne) i rozoczynamy procedure od poczatku
    String przed,on,po;
    przed = operowany.substring(0,gdzie);
    po = operowany.substring(gdzie2+1,operowany.length());
    on = operowany.substring(gdzie+1,gdzie2);
    //System.out.println(przed);
    //System.out.println(po);
    //System.out.println(on);
    int ile_on = w_lini(on+1);
    int pet;
    String ent = "";
    for(pet=0;pet<ile_on;pet++)
      ent = ent +"\n";
    operowany = przed+ent+po;
    //System.out.println("spr: "+operowany);
    //jezeli dalej many nawiasy to czynnosc powtaramny od nowa
    return sprawdz_komentarze();
  }

  /**
 <p>Podaje ilo enterw przed danym znakiem.</p>
 *@param spr <p>znak przed ktrym liczymy liczb enterw </p>
 *@return <p>liczb enterw po danym znaku</p>
 */
  static public int w_lini(String spr)
  {
    int wyn = 0,ob=0;
    byte ba[] = new byte[1];
    ba[0] = 10;
    String ent = new String(ba);
    while(ob!=-1)
      if(spr.lastIndexOf(ent)!=-1){wyn=wyn+1;spr=spr.substring(0,spr.lastIndexOf(ent));}
    else ob=-1;
    return wyn;
  }

  /**
 <p>Identyfikuje typ podanej zmiennej, staej lub wartoci.</p>
 *@param badana <p>nazwa zmiennej, staej, liczba, warto logiczna lub string zamknity w cudzysowy</p>
 *@return <p>nazw typu wyraenia (string, integer, real, boolean) lub znak "?" jeeli nie potrafi okreli typu</p>
 */
  static public String ustal_typ(String badana)
  {
    if(czy_jest_taki_const(badana)==true)
    {
      if(por(v_const_typ.get(czy_jest_taki_const_gdzie(badana)).toString(),"integer")==0)return "integer";
      if(por(v_const_typ.get(czy_jest_taki_const_gdzie(badana)).toString(),"real")==0)return "real";
      if(por(v_const_typ.get(czy_jest_taki_const_gdzie(badana)).toString(),"string")==0)return "string";
      if(por(v_const_typ.get(czy_jest_taki_const_gdzie(badana)).toString(),"boolean")==0)return "boolean";
    }
    if(czy_jest_taki_var(badana)==true)
    {
      if(por(v_var_typ.get(czy_jest_taki_var_gdzie(badana)).toString(),"integer")==0)return "integer";
      if(por(v_var_typ.get(czy_jest_taki_var_gdzie(badana)).toString(),"real")==0)return "real";
      if(por(v_var_typ.get(czy_jest_taki_var_gdzie(badana)).toString(),"string")==0)return "string";
      if(por(v_var_typ.get(czy_jest_taki_var_gdzie(badana)).toString(),"boolean")==0)return "boolean";
    }
    if(czy_integer(badana)==true)return "integer";
    if(czy_real(badana)==true)return "real";
    if(czy_string(badana)==true)return "string";
    if(czy_boolean(badana)==true)return "boolean";
    return "?";
  }

  /**
 <p>Porwnuje dwa stringi.</p>
 *@param s1 <p>porwnywany string</p>
 *@param s2 <p>porwnywany string</p>
 *@return <p>0 - identyczne stringi 1 - rne stringi</p>
 */
  static public int por(String s1,String s2)
  {
    return s1.compareTo(s2);
  }

  /**
 <p>Zamienia stringa na byte.</p>
 *@param op <p>string o dugoci 1</p>
 *@return <p>byte odpowiadajcy podanemu stringowi</p>
 */
  static public byte strToByte(String op)
  {
    if(op.length()!=1)System.out.println("STRTOBYTE DOSTALA ZLE DANE WEJSCIOWE");
    byte ba[] = new byte[1];
    ba = op.getBytes();
    return ba[0];
  }

  /**
 <p>Czyta znaki do spacji lub entera, taba lub rednika.</p>
 *@param wyn <p>string pocztkowy do ktrego doczane s kolejne znaki. Zazwyczaj jest to pusty string.</p>
 *@return <p>przeczytany string</p>
 */
  static public String czytaj_cos(String wyn)
  {
    if(operowany.length()==0)return wyn;
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);
    if((zb==10)||(zb==59)||(zb==32)||(zb==9))return wyn;//enter,srednik,spacja,tab
    //inaczej nie koncze
    wyn = wyn+zn;
    operowany = operowany.substring(1);
    return czytaj_cos(wyn);
  }

  /**
   * <p>Czyta znaki do spacji lub entera, taba, rednika lub drugiego znaku cudzysowu.</p>
   * @param wyn <p>string pocztkowy do ktrego doczane s kolejne znaki. Zazwyczaj jest to pusty string.</p>
   * @param cudzy numer cudzysowa
   * @return <p>przeczytany string</p>
   */
  static public String czytaj_string(String wyn,int cudzy)
  {
    if(operowany.length()==0)return wyn;
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);

    if((zb==10)||(zb==59)||(zb==9))return wyn;//enter,srednik,tab
    //inaczej nie koncze
    wyn = wyn+zn;
    operowany = operowany.substring(1);
    if(por(zn,"'")==0)cudzy = cudzy+1;
    if(cudzy==2)return wyn;
    return czytaj_string(wyn,cudzy);
  }

  /**
   * <p>Czyta znaki do spacji lub entera, taba, rednika lub dwukropka.</p>
   * @parametr wyn <p>string pocztkowy do ktrego doczane s kolejne znaki. Zazwyczaj jest to pusty string.</p>
   * @return <p>przeczytany string</p>
   */
  static public String czytaj_cos_bez_dwukropka(String wyn)
  {
    if(operowany.length()==0)return wyn;
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);
    if(por(":",zn)==0)return wyn;
    if((zb==10)||(zb==59)||(zb==32)||(zb==9))return wyn;//enter,srednik,spacja,tab
    //inaczej nie koncze
    wyn = wyn+zn;
    operowany = operowany.substring(1);
    return czytaj_cos_bez_dwukropka(wyn);
  }

  /**
   * <p>Czyta znaki do spacji lub entera, taba, rednika lub znaku rwne.</p>
   * @parametr wyn <p>string pocztkowy do ktrego doczane s kolejne znaki. Zazwyczaj jest to pusty string.</p>
   * @return <p>przeczytany string</p>
   */
  static public String czytaj_cos_bez_rowna(String wyn)
  {
    if(operowany.length()==0)return wyn;
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);
    if(por("=",zn)==0)return wyn;
    if((zb==10)||(zb==59)||(zb==32)||(zb==9))return wyn;//enter,srednik,spacja,tab
    //inaczej nie koncze
    wyn = wyn+zn;
    operowany = operowany.substring(1);
    return czytaj_cos_bez_rowna(wyn);
  }

  /**
   * <p>Czyta znaki do spacji lub entera, taba, rednika lub nawiasu zamykajcego.</p>
   * @parametr wyn <p>string pocztkowy do ktrego doczane s kolejne znaki. Zazwyczaj jest to pusty string.</p>
   * @return <p>przeczytany string</p>
   */
  static public String czytaj_cos_bez_zamykajacego(String wyn)
  {
    if(operowany.length()==0)return wyn;
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);
    if(por(")",zn)==0)return wyn;
    if((zb==10)||(zb==59)||(zb==32)||(zb==9))return wyn;//enter,srednik,spacja,tab
    //inaczej nie koncze
    wyn = wyn+zn;
    operowany = operowany.substring(1);
    return czytaj_cos_bez_zamykajacego(wyn);
  }

  /**
   * <p>Czyta znaki do spacji lub entera, taba, rednika lub kropki.</p>
   * @parametr wyn <p>string pocztkowy do ktrego doczane s kolejne znaki. Zazwyczaj jest to pusty string.</p>
   * @return <p>przeczytany string</p>
   */
  static public String czytaj_cos_bez_kropki(String wyn)
  {
    if(operowany.length()==0)return wyn;
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);
    if(por(".",zn)==0)return wyn;
    if((zb==10)||(zb==59)||(zb==32)||(zb==9))return wyn;//enter,srednik,spacja,tab
    //inaczej nie koncze
    wyn = wyn+zn;
    operowany = operowany.substring(1);
    return czytaj_cos_bez_kropki(wyn);
  }

  /**
   * <p>Czyta znaki do spacji lub entera, taba, rednika, kropki, dwukropka, lub nawiasu otwierajcego.</p>
   * @parametr wyn <p>string pocztkowy do ktrego doczane s kolejne znaki. Zazwyczaj jest to pusty string.</p>
   * @return <p>przeczytany string</p>
   */
  static public String czytaj_cos_bez_kropki_i_nawiasu_i_dwukropka(String wyn)
  {
    if(operowany.length()==0)return wyn;
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);
    if(por(".",zn)==0)return wyn;
    if(por("(",zn)==0)return wyn;
    if(por(":",zn)==0)return wyn;
    if((zb==10)||(zb==59)||(zb==32)||(zb==9))return wyn;//enter,srednik,spacja,tab
    //inaczej nie koncze
    wyn = wyn+zn;
    operowany = operowany.substring(1);
    return czytaj_cos_bez_kropki_i_nawiasu_i_dwukropka(wyn);
  }

  /**
   * <p>Czyta znaki do spacji lub entera, taba, rednika, dwukropka lub przecinka.</p>
   * @parametr wyn <p>string pocztkowy do ktrego doczane s kolejne znaki. Zazwyczaj jest to pusty string.</p>
   * @return <p>przeczytany string</p>
   */
  static public String czytaj_cos_bez_dwukropka_i_przecinka(String wyn)
  {
    if(operowany.length()==0)return wyn;
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);
    if(por(":",zn)==0)return wyn;
    if(por(",",zn)==0)return wyn;
    if((zb==10)||(zb==59)||(zb==32)||(zb==9))return wyn;//enter,srednik,spacja,tab
    //inaczej nie koncze
    wyn = wyn+zn;
    operowany = operowany.substring(1);
    return czytaj_cos_bez_dwukropka_i_przecinka(wyn);
  }

  /**
   * <p>Czyta dwa znaki i sprawdza czy s one znakami sygnalizujcymi podstawienia.</p>
   * @return <p>true - stwierdzono znak podstawienia, false - w przeciwnym przypadku</p>
   */
  static public boolean czytaj_podstawienie()
  {
    czytaj_odstepy();
    if(operowany.length()<2)return false;
    if((operowany.indexOf(":")==0)&&(operowany.indexOf("=")==1))
    {
      operowany=operowany.substring(2);
      return true;
    }
    else return false;
  }

  /**
   * <p>Czyta znaki spacji, entera i taba.</p>
   * @return <p>przeczytany string</p>
   */
  static public int czytaj_odstepy(){
    if(operowany.length()==0)return -1;
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);
    if((zb==10)||(zb==32)||(zb==9))//enter,spacja,tab
    {
      if(zb==10)enterow_wywalono=enterow_wywalono+1;
      operowany = operowany.substring(1);
      czytaj_odstepy();
    }
    return 0;
  }

  /**
   * <p>Czyta znaki spacji, entera i taba.</p>
   * @param wy <p>string pocztkowy do ktrego doczane s kolejne znaki. Zazwyczaj jest to pusty string.</p>
   * @return <p>string zawierajacy znaki enter w liczbie rwnej przeczytanym</p>
   */
  static public String czytaj_odstepy_z_enterami(String wy)
  {
    if(operowany.length()==0)return "";
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);
    if((zb==10)||(zb==32)||(zb==9))//enter,spacja,tab
    {
      if(zb==10)
      {
        enterow_wywalono=enterow_wywalono+1;
        wy=wy+zn;
      }
      operowany = operowany.substring(1);
      wy = czytaj_odstepy_z_enterami(wy);
    }
    return wy;
  }

  /**
   * <p>Czyta znak i sprawdza czy jest to rednik.</p>
   * @return <p>1 - stwierdzono znak rednika, -1 - w przeciwnym przypadku</p>
   */
  static public int czytaj_srednik()
  {
    if(operowany.length()==0)return -1;
    String zn;
    zn = operowany.substring(0,1);
    byte zb = strToByte(zn);
    if(zb==59)//srednik
    {
      operowany = operowany.substring(1);
      return 1;
    }
    return -1;
  }

  /**
   * <p>Czyta znak i sprawdza czy jest to przecinek.</p>
   * @return <p>true - stwierdzono znak przecinek, false - w przeciwnym przypadku</p>
   */
  static public boolean czytaj_przecinek()
  {
    boolean odp;
    if(operowany.length()==0)return false;
    String zn;
    zn = operowany.substring(0,1);
    if(por(zn,",")==0)odp=true; else odp=false;
    operowany = operowany.substring(1);
    return odp;
  }

  /**
   * <p>Czyta znak i sprawdza czy jest to dwukropek.</p>
   * @return <p>true - stwierdzono znak dwukropek, false - w przeciwnym przypadku</p>
   */
  static public boolean czytaj_dwukropek()
  {
    boolean odp;
    if(operowany.length()==0)return false;
    String zn;
    zn = operowany.substring(0,1);
    if(por(zn,":")==0)odp=true; else odp=false;
    operowany = operowany.substring(1);
    return odp;
  }

  /**
   * <p>Czyta znak i sprawdza czy jest to nawias otwierajacy.</p>
   * @return <p>true - stwierdzono znak nawias otwierajcy, false - w przeciwnym przypadku</p>
   */
  static public boolean czytaj_nawias()
  {
    boolean odp;
    if(operowany.length()==0)return false;
    String zn;
    zn = operowany.substring(0,1);
    if(por(zn,"(")==0)odp=true; else odp=false;
    operowany = operowany.substring(1);
    return odp;
  }

  /**
   * <p>Czyta znak i sprawdza czy jest to nawias zamykajcy.</p>
   * @return <p>true - stwierdzono znak nawias zamykajcy, false - w przeciwnym przypadku</p>
   */
  static public boolean czytaj_nawias_zamykajacy()
  {
    boolean odp;
    if(operowany.length()==0)return false;
    String zn;
    zn = operowany.substring(0,1);
    if(por(zn,")")==0)odp=true; else odp=false;
    operowany = operowany.substring(1);
    return odp;
  }

  /**
   * <p>Czyta znak i sprawdza czy jest to kropka.</p>
   * @return <p>true - stwierdzono znak kropka, false - w przeciwnym przypadku</p>
   */
  static public boolean czytaj_kropke()
  {
    boolean odp;
    if(operowany.length()==0)return false;
    String zn;
    zn = operowany.substring(0,1);
    if(por(zn,".")==0)odp=true; else odp=false;
    operowany = operowany.substring(1);
    return odp;
  }

  /**
   * <p>Czyta znak i sprawdza czy jest to rwna.</p>
   * @return <p>true - stwierdzono znak rwna, false - w przeciwnym przypadku</p>
   */
  static public boolean czytaj_rowna()
  {
    boolean odp;
    if(operowany.length()==0)return false;
    String zn;
    zn = operowany.substring(0,1);
    if(por(zn,"=")==0)odp=true; else odp=false;
    operowany = operowany.substring(1);
    return odp;
  }

  /**
 <p>Czyta wszystkie instrukcje puste</p>
 */
  static public void instrukcje_puste()
  {
    int pomi=1;
    while(pomi==1)
    {
      czytaj_odstepy();
      pomi = czytaj_srednik();
    }
  }

  /**
   * <p>Czyta wszystkie instrukcje puste.</p>
   * @param wi <p>string zawierajce znaki enter w liczbie rwnej przeczytanym</p>
   * @return string
   */
  static public String instrukcje_puste_z_enterami(String wi)
  {
    int pomi=1;
    while(pomi==1)
    {
      wi = wi+czytaj_odstepy_z_enterami(wi);
      pomi = czytaj_srednik();
    }

    return wi;
  }

  /**
 <p>Sprawdza poprawno nazwy programu. Blok program wystpuje opcjonalnie, nazwa programu zaczyna si od litery, dale mog wystpi dowolne litery, cyfry lub znak podkrelenie.</p>
 * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
 */
  static public String sprawdz_program()
  {
    czytaj_odstepy();
    if(czytaj_srednik()==1)return "Line "+(enterow_wywalono+1)+": program name expected";
    String naz = czytaj_cos("");
    String naz_pop = sprawdz_nazwa(naz);//czy nazwa programu jest poprawna ( >256 znakow i nie zawiera niedozwolonych znakow)
    if(naz_pop.compareTo("0")!=0)return naz_pop;
    czytaj_odstepy();
    if(czytaj_srednik()!=1)return "Line "+(enterow_wywalono+1)+": after program name ';' required";
    instrukcje_puste();
    return "0";
  }

  /**
   * <p>Sprawdza poprawno nazwy stringa 'na'. Nazwa zaczyna si od litery, dale mog wystpi dowolne litery, cyfry lub znak podkrelenie.</p>
   * @param na <p>string uyty do nadania nazwy zmiennej, staej lub nazwy programu</p>
   * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
   */
  static public String sprawdz_nazwa(String na)
  {
    int dl = na.length();
    if(dl>256)return "Line "+(enterow_wywalono+1)+": too long string ("+na+")";
    int pet;
    if(kluczowe(na)==true)return "Line "+(enterow_wywalono+1)+": word '"+na+"' was reserved for program";
    if(czy_litera(na.substring(0,1))==false)return "Line "+(enterow_wywalono+1)+": first char in '"+na+"' must be letter";
    for(pet=1;pet<dl;pet++)
      if(dozwolony_znak(na.substring(pet,pet+1))==false)return "Line "+(enterow_wywalono+1)+": forbidden char '"+na.substring(pet,pet+1)+"' in variable name";
    return "0";
  }

  /**
   * <p>Sprawdza czy na zmienn podstawiana jest poprawna warto.<br>
   * zmienna string := "string" lub staa, zmienna typu string<br>
   * zmienna real,integer:= wyraenie arytmetyczne<br>
   * zmienne boolean := wyraenie logiczne <br>
   * Typ zmiennej i typ podstawianego wyraenia musz by identyczne.</p>
   *
   * @param zm string do sprawdzenia
   * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
   */
  static public String sprawdz_podstawienie(String zm)
  {
    String styp="";
    czytaj_odstepy();
    if(czytaj_podstawienie()==false)return "':=' expected";
    czytaj_odstepy();

    if(por(v_var_typ.get(czy_jest_taki_var_gdzie(zm)).toString(),"integer")==0)styp="integer";
    if(por(v_var_typ.get(czy_jest_taki_var_gdzie(zm)).toString(),"real")==0)styp="real";
    if(por(v_var_typ.get(czy_jest_taki_var_gdzie(zm)).toString(),"string")==0)styp="string";
    if(por(v_var_typ.get(czy_jest_taki_var_gdzie(zm)).toString(),"boolean")==0)styp="boolean";
    if(styp.length()==0)return "assignation typ to '"+zm+"' impossible";
    //System.out.println("styp->"+styp);
    String copod;
    if(por(styp,"string")==0)
      if(operowany.substring(0,1).compareTo("'")==0)copod = czytaj_string("",0);
    else //zmienna, stala
    {
      copod = czytaj_cos("");
    }
    else
    {//inny typ -czytam do srednika
      int sr = operowany.indexOf(";");
      if(sr==-1)return "after expression ';' expected";
      copod = operowany.substring(0,sr);
      operowany=operowany.substring(sr);//bez srednika
      //System.out.println("copod->:"+copod+":");
      //System.out.println("operowany->:"+operowany+":");
    }
    if(copod.length()==0)
    {
      if(por(styp,"real")==0)return "variable or arithmetical expression expected";
      if(por(styp,"integer")==0)return "variable or arithmetical expression expected";
      if(por(styp,"string")==0)return "varaible or string expected";
      if(por(styp,"boolean")==0)return "variable or logical expression expected";
      return "something expected";
    }
    if(por(copod,"end")==0)return "unexpected end";
    if(por(copod,"end.")==0)return "unexpected end.";

    //wszystki oprocz string to wyrazwnie arytmetyczne lub logiczne
    if(por("string",styp)==0)
      if(czy_string(copod)!=true)
        if(czy_jest_taki_const(copod)==true)
        {
          if(por(v_const_typ.get(czy_jest_taki_const_gdzie(copod)).toString(),"string")!=0)return "const '"+copod+"' isn't string type";
        }
        else
          if(czy_jest_taki_var(copod)==true)
          {
            if(por(v_var_typ.get(czy_jest_taki_var_gdzie(copod)).toString(),"string")!=0)return "variable '"+copod+"' isn't string type";
          }
          else return "incompatible types (string expected)";
          if(por("boolean",styp)==0)
          {
            String spr_log = sprawdz_multi_wyrazenie_logiczne(copod);
            if(por(spr_log,"0")!=0)return spr_log;
            else return "0";
          }
          if(por("integer",styp)==0)
          {
            //dziala na globalnym stringu operowany
            String stric = operowany;
            operowany = copod+";";
            String wyraz = sprawdz_wyrazenie_arytmetyczne("integer");
            operowany = stric;
            if(por(wyraz,"0")!=0)return wyraz;
            else return "0";
          }
          if(por("real",styp)==0)
          {
            //dziala na globalnym stringu operowany
            String stric = operowany;
            operowany = copod+";";
            String wyraz = sprawdz_wyrazenie_arytmetyczne("real");
            operowany = stric;
            if(por(wyraz,"0")!=0)return wyraz;
            else return "0";
          }
          czytaj_odstepy();

          return "0";
  }

  /**
 <p>Sprawdza poprawno bloku const. W bloku const definiowane s stae ktrym mona przypisa wartoci zgodne z dopuszczlnymi w programi typami. Nazwy staych nie mog si powtarza oraz musz spenia wymagania stawiane nazwom staych (patrz funkcja sprawdz_nazwa()), nie mog rwnie by sowami kluczowymi</p>
 * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
 */
  static public String sprawdz_const()
  {
    czytaj_odstepy();
    String slowko=czytaj_cos("");
    czytaj_odstepy();
    String blok_const="";
    //przepisuje cala zawartosc bloku const na nowy string
    int itrik = enterow_wywalono;//while nie powinien modyfikowac numeru obecnej lini (obchodzimy to)
    while((por(slowko,"var")!=0)&&(por(slowko,"begin")!=0))
    {
      //System.out.println("'"+slowko+"'");
      if(operowany.length()==0)return "Line "+(enterow_wywalono+1)+": 'begin' or 'var' expected (found end of file)";
      //System.out.println("tu");
      blok_const = blok_const+slowko;
      blok_const = blok_const+czytaj_odstepy_z_enterami("");
      if(czytaj_srednik()==1)blok_const=blok_const+";";else blok_const=blok_const+" ";
      blok_const = blok_const+instrukcje_puste_z_enterami("");
      slowko=czytaj_cos("");
    }
    //System.out.println("blok "+ blok_const);
    enterow_wywalono=itrik;
    operowany=slowko+operowany;
    //mamy blok const i przekazujemy do sprawdzenie nastepnej funkcji;
    String trik = operowany;//(poniewaz funkcjie operuja na globalnym stringu "operowny" a ja chce dzialac na stringu "got" zamienie te stringi tymczasowo i przywroce na koncu funkcji stan poczatkowy)
    operowany = blok_const;
    String odp = sprawdz_blok_const();
    operowany = trik;//przywracam stan poczatkowy
    return odp;
  }

  /**
 <p>Sprawdza poprawno bloku const. W bloku const definiowane s stae ktrym mona przypisa wartoci zgodne z dopuszczlnymi w programi typami. Nazwy staych nie mog si powtarza oraz musz spenia wymagania stawiane nazwom staych (patrz funkcja sprawdz_nazwa()), nie mog rwnie by sowami kluczowymi</p>
 * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
 */
  static protected String sprawdz_blok_const()
  {
    czytaj_odstepy();
    if(operowany.length()==0)return "Line "+(enterow_wywalono+1)+": empty const declaration";
    if(czytaj_srednik()==1)return "Line "+(enterow_wywalono+1)+": after const word const name expected example a=28;";
    if(por(operowany.substring(0,1),"=")==0)return "Line "+(enterow_wywalono+1)+": char '=' is forbidden after const declaration";
    String nazwa,podstawka;
    while(1==1)//az przeczytamy caly blok
    {
      nazwa=czytaj_cos_bez_rowna("");
      String wy = sprawdz_nazwa(nazwa);//sprawdzenie nazwy consta
      if(por("0",wy)!=0)return "Line "+(enterow_wywalono+1)+": "+wy;//jezel nieporawna nazwa to komunikat bledu
      if(czy_jest_taki_const(nazwa)==true)return "Line "+(enterow_wywalono+1)+": word '"+nazwa+"' was used in const body";
      czytaj_odstepy();
      if(czytaj_rowna()==false)return "Line "+(enterow_wywalono+1)+": '=' expected";
      czytaj_odstepy();
      podstawka = czytaj_string("",0);
      //System.out.println(podstawka);
      czytaj_odstepy();
      if(czytaj_srednik()!=1)return "Line "+(enterow_wywalono+1)+": ';' expected";
      //podstawiane slow ma byc stringiem lub integerem,realem lub booleanem
      v_const.add(nazwa);
      boolean oki=false;
      if(czy_string(podstawka)==true){v_const_typ.add("string");oki=true;}
      else if(czy_integer(podstawka)==true){v_const_typ.add("integer");oki=true;}
      else if(czy_real(podstawka)==true){v_const_typ.add("real");oki=true;}
      else if(czy_boolean(podstawka)==true){v_const_typ.add("boolean");oki=true;}
      if(oki==false)return "Line "+(enterow_wywalono+1)+": string,integer,real or boolean after '=' expected Examples: \"abc_123\",123,12.009 or false. (found '"+podstawka+" ')";
      instrukcje_puste();
      if(operowany.length()==0)return "0";
    }
  }

  /**
 <p>Sprawdza poprawno bloku var. W bloku var definiowane s zmienne ktrym nadawane s typy. Nazwy zmiennych nie mog si powtarza oraz musz spenia wymagania stawiane nazwom zmiennych (patrz funkcja sprawdz_nazwa()), nie mog rwnie by sowami kluczowymi</p>
 * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
 */
  static public String sprawdz_var()
  {
    czytaj_odstepy();
    String slowko=czytaj_cos("");
    czytaj_odstepy();
    String blok_var="";
    //przepisuje cala zawartosc bloku var na nowy string
    int itrik = enterow_wywalono;//while nie powinien modyfikowac numeru obecnej lini (obchodzimy to)
    while(por(slowko,"begin")!=0)
    {
      //System.out.println("'"+slowko+"'");
      if(operowany.length()==0)return "Line "+(enterow_wywalono+1)+": 'begin' expected (found end of file)";
      //System.out.println("tu");
      blok_var = blok_var+slowko;
      blok_var = blok_var+czytaj_odstepy_z_enterami("");
      if(czytaj_srednik()==1)blok_var=blok_var+";";else blok_var=blok_var+" ";
      blok_var = blok_var+instrukcje_puste_z_enterami("");
      slowko=czytaj_cos("");
    }
    //System.out.println("blok var->"+ blok_var);
    enterow_wywalono=itrik;
    operowany=slowko+operowany;
    //mamy blok var i przekazujemy do sprawdzenie nastepnej funkcji;
    String trik = operowany;//(poniewaz funkcjie operuja na globalnym stringu "operowny" a ja chce dzialac na stringu "got" zamienie te stringi tymczasowo i przywroce na koncu funkcji stan poczatkowy)
    operowany = blok_var;
    String odp = sprawdz_blok_var();
    operowany = trik;//przywracam stan poczatkowy
    return odp;
  }

  /**
 <p>Sprawdza poprawno bloku var. W bloku var definiowane s zmienne ktrym nadawane s typy. Nazwy zmiennych nie mog si powtarza oraz musz spenia wymagania stawiane nazwom zmiennych (patrz funkcja sprawdz_nazwa()), nie mog rwnie by sowami kluczowymi</p>
 * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
 */
  static protected String sprawdz_blok_var()
  {
    czytaj_odstepy();
    if(operowany.length()==0)return "Line "+(enterow_wywalono+1)+": empty var declaration";
    if(czytaj_srednik()==1)return "Line "+(enterow_wywalono+1)+": after var word variable name expected example a:real;";
    if(por(operowany.substring(0,1),":")==0)return "Line "+(enterow_wywalono+1)+": char ':' is forbidden after var declaration";
    String nazwa;
    while(1==1)//az przeczytamy caly blok
    {
      Vector v_var_pom = new Vector();
      int zmienych_w_przecinkami;
      zmienych_w_przecinkami=0;
      while(1==1)
      {
        czytaj_odstepy();
        nazwa=czytaj_cos_bez_dwukropka_i_przecinka("");
        if(nazwa.length()==0)return "Line "+(enterow_wywalono+1)+": empty variable detected - probably multiple comma use";
        String wy = sprawdz_nazwa(nazwa);//sprawdzenie nazwy consta
        if(por("0",wy)!=0)return "Line "+(enterow_wywalono+1)+": "+wy;//jezel nieporawna nazwa to komunikat bledu
        if(czy_jest_taki_const(nazwa)==true)return "Line "+(enterow_wywalono+1)+": word '"+nazwa+"' was used in const body";
        if(czy_jest_taki_var(nazwa)==true)return "Line "+(enterow_wywalono+1)+": word '"+nazwa+"' was used in var body";
        v_var_pom.add(nazwa);
        zmienych_w_przecinkami=zmienych_w_przecinkami+1;
        czytaj_odstepy();
        String pomwyt = operowany.substring(0,1);//cztyaj_przecinek wytnie znak ktory bedzie nam jeszcze potrzebny
        if(czytaj_przecinek()==false){operowany=pomwyt+operowany;break;}//break - bo nie jest to przcinek a wiec nie bedzie to nazwa kolejnej zmiennej
      }
      if(czytaj_dwukropek()==false)return "Line "+(enterow_wywalono+1)+": aftar variable(s) name ':' expected";
      //inaczej mamy dwukropek - wiec sprawdzamy typ
      czytaj_odstepy();
      String sp_typ = czytaj_cos("");
      //System.out.println(sp_typ);
      if(por(sp_typ.substring(0,1),"^")==0)
      {
        sp_typ=sp_typ.substring(1);
        int pet;
        for(pet=0;pet<v_var_pom.size();pet++)v_var.add(v_var_pom.get(pet).toString()+"^");
      }
      else
      {int pet;for(pet=0;pet<v_var_pom.size();pet++)v_var.add(v_var_pom.get(pet).toString());}
      czytaj_odstepy();
      if(czytaj_srednik()!=1)return "Line "+(enterow_wywalono+1)+": ';' expected";
      //podstawiane slow ma byc stringiem lub integerem,realem lub booleanem
      if(sp_typ.length()==0)return "Line "+(enterow_wywalono+1)+": type expected";
      String styp = czy_typ(sp_typ);
      if(por(styp,"1")==0)return "Line "+(enterow_wywalono+1)+": unindetified type '"+sp_typ+"' (allow types: string,integer,real,boolean)";
      else for(int pet=0;pet<zmienych_w_przecinkami;pet++)v_var_typ.add(styp);
      instrukcje_puste();
      if(operowany.length()==0)return "0";
    }
  }

  /**
 <p>Sprawdza poprawno instrukcji for.</p>
 * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
 */
  static public String sprawdz_for()
      {//for jest juz przeczyane
    czytaj_odstepy();
    String nazwa=czytaj_cos_bez_dwukropka("");
    if(nazwa.length()==0)return "Line "+(enterow_wywalono+1)+": after 'for' variable expected";
    if(czy_jest_taki_var(nazwa)==false)return "Line "+(enterow_wywalono+1)+": after 'for' variable expected (found '"+nazwa+"')";
    if(por(v_var_typ.get(czy_jest_taki_var_gdzie(nazwa)).toString(),"integer")!=0)return "Line "+(enterow_wywalono+1)+": used varaible '"+nazwa+"' isn't integer type";
    czytaj_odstepy();
    if(czytaj_podstawienie()==false)return "Line "+(enterow_wywalono+1)+": ':=' expected";
    czytaj_odstepy();
    String swyn = czytaj_cos("");//integer or real type
    if(!((czy_jest_taki_const(swyn)==true)||(czy_jest_taki_var(swyn)==true)||(czy_integer(swyn)==true)))
      return "Line "+(enterow_wywalono+1)+": after ':=' variable, const or integer expected (found  '"+swyn+"')";
    if(czy_jest_taki_const(swyn)==true)
      if(por(v_const_typ.get(czy_jest_taki_const_gdzie(swyn)).toString(),"integer")!=0)
        return "Line "+(enterow_wywalono+1)+": used const '"+swyn+"' isn't string type";
    //else System.out.println("nie const");
    if(czy_jest_taki_var(swyn)==true)
      if(por(v_var_typ.get(czy_jest_taki_var_gdzie(swyn)).toString(),"integer")!=0)
        return "Line "+(enterow_wywalono+1)+": used varaible '"+swyn+"' isn't string type";
    //else System.out.println("nie var");
    czytaj_odstepy();
    String tos = czytaj_cos("");
    if(tos.length()==0)return "Line "+(enterow_wywalono+1)+": 'to' expected in 'for' instruction";
    if(por(tos,"to")!=0)return "Line "+(enterow_wywalono+1)+": 'to' expected in 'for' instruction (found '"+tos+"')";
    czytaj_odstepy();
    swyn = czytaj_cos("");
    if(!((czy_jest_taki_const(swyn)==true)||(czy_jest_taki_var(swyn)==true)||(czy_integer(swyn)==true)))
      return "Line "+(enterow_wywalono+1)+": after 'to' variable, const or integer expected (found  '"+swyn+"')";
    if(czy_jest_taki_const(swyn)==true)
      if(por(v_const_typ.get(czy_jest_taki_const_gdzie(swyn)).toString(),"integer")!=0)
        return "Line "+(enterow_wywalono+1)+": used const '"+swyn+"' isn't integer type";
    if(czy_jest_taki_var(swyn)==true)
      if(por(v_var_typ.get(czy_jest_taki_var_gdzie(swyn)).toString(),"integer")!=0)
        return "Line "+(enterow_wywalono+1)+": used varaible '"+swyn+"' isn't integer type";
    czytaj_odstepy();
    String dos = czytaj_cos("");
    if(dos.length()==0)return "Line "+(enterow_wywalono+1)+": 'do' expected in 'for' instruction";
    if(por(dos,"do")!=0)return "Line "+(enterow_wywalono+1)+": 'do' expected in 'for' instruction";
    czytaj_odstepy();
    String kontric = czytaj_cos("");
    operowany = kontric+operowany;
    if(por(kontric,"end")==0)return "Line "+(enterow_wywalono+1)+": 'if','for',I/O,'begin' or ';' expected (found 'end')";
    if(por(kontric,"end.")==0)return "Line "+(enterow_wywalono+1)+": 'if','for',I/O,'begin' or ';' expected (found 'end.')";
    return "0";

  }

  /**
   * <p>Sprawdza poprawno instrukcji if.</p>
   * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
   */
  static public String sprawdz_if()
      {//for jest juz przeczyane
    boolean Oeif=true;
    czytaj_odstepy();
    int gdzie_then=operowany.indexOf("then");
    if(gdzie_then<0)return "Line "+(enterow_wywalono+1)+": 'then' expected (found end of file)";
    String logiczne = operowany.substring(0,gdzie_then);
    String log = sprawdz_multi_wyrazenie_logiczne(logiczne);
    //System.out.println("przed skroceniem->"+operowany);
    if(por(log,"0")!=0)return "Line "+(enterow_wywalono+1)+": "+log;
    operowany = operowany.substring(gdzie_then);
    czytaj_odstepy();
    String then = czytaj_cos("");
    if(then.length()==0)return "Line "+(enterow_wywalono+1)+": 'then' expected ";
    if(por(then,"then")!=0)return "Line "+(enterow_wywalono+1)+": 'then' expected (found '"+then+"')";
    czytaj_odstepy();
    if(operowany.substring(0,1).compareTo(";")==0)return "0";
    if(operowany.length()==0)return "Line "+(enterow_wywalono+1)+"'begin','if','for',I/O, or variable expected";

    String blok_begin="";
    boolean koniec = false;
    int beginowifa=0,endowifa=0;
    boolean beginowy_if = false;

    while(koniec==false)//konczy sie bledem lub przeczytaniem calosci bloku begin-end dla if'a
    {
      blok_begin = blok_begin + instrukcje_puste_z_enterami("");

      czytaj_odstepy();
      if(operowany.length()==0)return "unexpected end of file";
      String pierwszy_znak = operowany.substring(0,1);
      if(por(pierwszy_znak,"(")==0)return "Line "+(enterow_wywalono+1)+": unexpected char '('";
      if(por(pierwszy_znak,".")==0)return "Line "+(enterow_wywalono+1)+": unexpected char '.'";
      if(por(pierwszy_znak,":")==0)return "Line "+(enterow_wywalono+1)+": unexpected char ':'";
      String slowko=czytaj_cos_bez_kropki_i_nawiasu_i_dwukropka("");

      //System.out.println("slowko bez kropki->"+slowko);
      //sprawdzenie poprawnosci beginow i endow
      if(por("begin",slowko)==0){beginowifa=beginowifa+1;beginowy_if=true;Oeif=true;}//zliczanie
      else
        if(por("end",slowko)==0)//konczy sie ; lub . zliczanie oraz endow<beginow
        {
          endowifa=endowifa+1;
          if(endowifa>beginowifa)return "Line "+(enterow_wywalono+1)+": unreachable 'end' ";

          if(endowifa==beginowifa)//koniec bloku begin-end dla if'a oczekujemy (; lub else)
          {
            if(Oeif==false)return "Line "+(enterow_wywalono+1)+": after else instruction expected";
            blok_begin=blok_begin+czytaj_odstepy_z_enterami("");
            if(operowany.substring(0,1).compareTo(";")==0)return "0";
            else
            {
              String selse = czytaj_cos("");
              if(por(selse,"else")==0)
                                   {czytaj_odstepy();if(operowany.substring(0,1).compareTo(";")==0)return "0"; else return "Oe";}
              else return "Line "+(enterow_wywalono+1)+":  ';' or 'else' expected (found'"+selse+"')";
            }
          }

          if(endowifa<beginowifa)//oczekujemy ";"
          {
            blok_begin=blok_begin+czytaj_odstepy_z_enterami("");
            if(czytaj_srednik()!=1)return "Line "+(enterow_wywalono+1)+": after end ';' required";
          }

        }
        else
          if(por("end.",slowko)==0)return "after then instrucion expected ";
        else //inne slowo
          //rozwazamy czy dana instrukcja stoji w bloku bebin-end (od if'a),czy jest instrukcja pusta lub inna dozwolona
          //poniewaz po instrukcjach for (po do) oraz if (po then) musza wystapic inne instrukcje (moga byc nawat puste) to te operacje ingorujemy pod wzgledem sprawdzania else'a)
        {Oeif = true;
        if(slowko.length()==0)return "Line "+(enterow_wywalono+1)+": 'end' expected";
        blok_begin = blok_begin + slowko;

        //wedlug nowej koncepcji
        if(czy_jest_taki_var(slowko)==true)
        {
          String poss = sprawdz_podstawienie(slowko);
          if(por(poss,"0")!=0)return "Line "+(enterow_wywalono+1)+": "+poss;
          czytaj_odstepy();
          if(beginowy_if==true){if(czytaj_srednik()!=1)return "Line "+(enterow_wywalono+1)+"';' expected";}
          else //';' lub else (pojedyncza instrukcja)
          {String czy_else = czytaj_cos("");
          if(por("else",czy_else)==0)
                                  {czytaj_odstepy();if(operowany.substring(0,1).compareTo(";")==0)return "0"; else return "Oe";}
          else if(czytaj_srednik()==1)return "0";
          else return "Line "+(enterow_wywalono+1)+"';' or 'else' expected";
          }
        }
        else if(por(slowko,"if")==0)
        {
          //System.out.println("if");
          String sprif = sprawdz_if();
          if(por(sprif,"0")==0);else
          if(por(sprif,"Oe")==0)Oeif=false;
        else return "Line "+(enterow_wywalono+1)+": "+sprif;}
          else if(por(slowko,"for")==0)
          {
            //System.out.println("for");
            String sprfor = sprawdz_for();
            if(por(sprfor,"0")!=0)
              return "Line "+(enterow_wywalono+1)+sprfor;
          }
          else
            if(por(slowko,"new")==0)
            {
              String sne = sprawdz_new();
              if(por(sne,"0")!=0)return sne;
            }else
              if(por(slowko,"dispose")==0)
              {
                String sne = sprawdz_dispose();
                if(por(sne,"0")!=0)return sne;
              }

              else
              {
                String pos = czy_we_wy(slowko);
                if(por(pos,"0")==0)
                {
                  czytaj_odstepy();
                  if(beginowy_if==true){if(czytaj_srednik()!=1)return "Line "+(enterow_wywalono+1)+"';' expected";}
                  else //';' lub else (pojedyncza instrukcja w if - bez begin-end)
                  {String czy_else = czytaj_cos("");
                  if(por("else",czy_else)==0)
                      {czytaj_odstepy();if(operowany.substring(0,1).compareTo(";")==0)return "0"; else return "Oe";}
                  else if(czytaj_srednik()==1)return "0";
                  else return "Line "+(enterow_wywalono+1)+"';' or 'else' expected";
                  }
                }
                //Uwaga tutaj stwierdzamy iz dane slowko jest nie znane i jezeli chcesz rozwijac ilosc dostepnych polecen to tutaj jest na to miejsce (we/wy zwraca 1)
                else
                {
                  String wyns = pos;
                  if(por(wyns,"1")==0)return "Line "+(enterow_wywalono+1)+": unexpected string '"+slowko+"' (expected 'if','for',I/O or variable)";
                  else return wyns;
                }
              }
              blok_begin=blok_begin+czytaj_odstepy_z_enterami("");
              if(czytaj_srednik()==1)blok_begin=blok_begin+";";
              else blok_begin=blok_begin+" ";
        }
    }//while

    return "0";
  }

  /**
   * <p>Sprawdza poprawno wyraenie arytmetycznego. Wszystkie zmienne, stale lub wartoci w wyraeniu arytmetycznym musz posiada identyczny typ.</p>
   *
   * @param przed_typ typ wyrazu poprzedniego
   * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
   */
  static public String sprawdz_wyrazenie_arytmetyczne(String przed_typ)
  {
    boolean cyfra_pier=false;
    czytaj_odstepy();
    String zn ="",zn_wczesniej="p_i_e_r_w_sz_y_28",litery="";
    String liczba1="",liczba2="";
    String typ_wyraz="niewiem";
    if(por(przed_typ,"wolne")!=0)typ_wyraz=przed_typ;
    if(por(przed_typ,"wolne")!=0)
      if((por(typ_wyraz,"integer")!=0)&&(por(typ_wyraz,"real"))!=0)
        return "type of expression was qualified as incorrect (integer, or real expected)";//uwaga ten komentarz nie jest wynikiem bledu pisacego w edytorze lecz podania zlych danych wewnatrz programu
    int nawias_ot=0,nawias_zam=0;
    while(1==1)
    {
      czytaj_odstepy();
      zn = operowany.substring(0,1);
      operowany = operowany.substring(1);
      if(por(zn,"(")==0)
      {
        nawias_ot = nawias_ot + 1;
        if(por(zn_wczesniej,"p_i_e_r_w_sz_y_28")!=0)//przed pierwszym znakiem nie musi byc nic
          if((czy_operator(zn_wczesniej)==false)&&(por("(",zn_wczesniej)!=0))
            return " before '(' operator of '(' expected";//przed nawiasem oprocz pierwszego operator
        zn_wczesniej = "(";
      }
      else if(por(zn,")")==0)
      {
        nawias_zam = nawias_zam + 1;
        if(nawias_zam>nawias_ot)return " unreachable ')'";
        if((czy_liczba(zn_wczesniej)==false)&&(czy_jest_taki_var(zn_wczesniej)==false)&&(czy_jest_taki_const(zn_wczesniej)==false)&&(por(")",zn_wczesniej)!=0))return " before ')' number, variable, const or ')' expected (found '"+zn_wczesniej+"')";
        zn_wczesniej=")";
      }
      else if((czy_cyfra(zn)==true)||((por(zn_wczesniej,"(")==0)&&(por(zn,"-")==0)&&(operowany.length()>0)&&(czy_cyfra(operowany.substring(0,1))==true)))//cyfra lub '-' ale tylko przed nawiasem i po minusie musi byc liczba
      {
        liczba2=zn;
        zn = operowany.substring(0,1);
        while((czy_cyfra(zn)==true)||(por(zn,".")==0))
                             {cyfra_pier=false;
        liczba2 = liczba2 + zn;
        operowany = operowany.substring(1);
        zn = operowany.substring(0,1);
        }
        //ustalenie typu wyrazenie lub zgodnosci typow nastepnych liczb
        if(por(zn_wczesniej,")")==0)return "after ')' operator expected";
        if(por("niewiem",typ_wyraz)==0){typ_wyraz=ustal_typ(liczba2);lewy_typ_operatora_relacji=typ_wyraz;}//if nie ma typu
        else
          if(por(typ_wyraz,"?")==0)return " qualification typ for '"+liczba2+"' impossible";
        else
          if(por(typ_wyraz,ustal_typ(liczba2))!=0)return " '"+liczba2+"' have wrong type (expected type: "+typ_wyraz+")";
        zn_wczesniej = liczba2;
      }

      else if((czy_operator(zn)==true)&&(!((por(zn,"-")==0)&&(por(zn_wczesniej,"(")==0))))//drugi warunek gdy przed - '('
      {
        if((czy_liczba(zn_wczesniej)==false)&&(czy_jest_taki_var(zn_wczesniej)==false)&&(czy_jest_taki_const(zn_wczesniej)==false)&&(por(zn_wczesniej,")")!=0))
          return " before 'operator' number, variable, const or ')' expected ";
        //System.out.println("operator zn->:"+zn+":");
        zn_wczesniej=zn;
      }//od operator
      else if((czy_litera(zn)==true)||((por(zn_wczesniej,"(")==0)&&(por(zn,"-")==0)&&(operowany.length()>0)&&(czy_litera(operowany.substring(0,1)))))
      {
        if(por(zn,"-")!=0)litery=zn;else litery="";
        zn = operowany.substring(0,1);
        while(dozwolony_znak_i_daszek(zn)==true)
        {
          litery = litery + zn;
          operowany = operowany.substring(1);
          if(por("^",zn)==0)break;
          zn = operowany.substring(0,1);
        }
        if(por(zn_wczesniej,")")==0)return "after ')' operator expected";
        if(czy_jest_taki_var(litery+"^")==true)return "forbidden using dynanic variable '"+litery+"' (use '"+litery+"^')";
        if(czy_jest_taki_var(litery)==true)
        {
          if(por("niewiem",typ_wyraz)==0){typ_wyraz=v_var_typ.get(czy_jest_taki_var_gdzie(litery)).toString();lewy_typ_operatora_relacji=typ_wyraz;}//if nie ma typu
          else
            if(por(typ_wyraz,"?")==0)return " qualification typ for '"+litery+"' impossible";
          else
            if(por(typ_wyraz,v_var_typ.get(czy_jest_taki_var_gdzie(litery)).toString())!=0)return " '"+litery+"' have wrong type (expected type: "+typ_wyraz+")";
          if(por(zn_wczesniej,"p_i_e_r_w_sz_y_28")!=0)if((por(zn_wczesniej,"(")!=0)&&(czy_operator(zn_wczesniej)==false))return "before variable '"+litery+"' operator or '(' expected";
        }
        else
          if(czy_jest_taki_const(litery)==true)
          {
            if(por("niewiem",typ_wyraz)==0){typ_wyraz=v_const_typ.get(czy_jest_taki_const_gdzie(litery)).toString();lewy_typ_operatora_relacji=typ_wyraz;}//if nie ma typu
            else
              if(por(typ_wyraz,"?")==0)return " qualification typ for '"+litery+"' impossible";
            else
              if(por(typ_wyraz,v_const_typ.get(czy_jest_taki_const_gdzie(litery)).toString())!=0)return " '"+litery+"' have wrong type (expected type: "+typ_wyraz+")";
            if(por(zn_wczesniej,"p_i_e_r_w_sz_y_28")!=0)if((por(zn_wczesniej,"(")!=0)&&(czy_operator(zn_wczesniej)==false))return "before const '"+litery+"' operator or '(' expected";
          }
          else {
            if(litery.length()==(litery.indexOf("^")+1))return "before using dynamic variable '"+litery+"' expected  'new' instruction";
            else return "unexpected string '"+litery+"'";
          }
          if(por(typ_wyraz,"integer")==0)zn_wczesniej = "28";//generalnie liczba, dokladnie 28 - dlaczego '28' - na moj czesc
          else zn_wczesniej="28.28";
      }//od litera
      else if(por(zn,";")==0)
      {
        //System.out.println("jesli nie oprator to co przed ;->"+zn_wczesniej);
        if(nawias_ot!=nawias_zam)return " wrong parenthesis count - difference between '(' and ')'";
        if(czy_operator(zn_wczesniej)==true)zn_wczesniej="operator";
        if(por(zn_wczesniej,"operator")==0)return " after operator const, variable, or number expected";
        if(por(zn_wczesniej,"p_i_e_r_w_sz_y_28")==0)return " empty expression";
        operowany=";"+operowany;
        return "0";
      }
      else //zaden znany przypadek np %,* itd.
        return " unexpected char '"+zn+"'";
      if(por(typ_wyraz,"boolean")==0)return " expression has incorrect type: boolean";
      if(por(typ_wyraz,"string")==0)return " expression has incorrect type: string";
    }//od while
    //return "0";
  }

  /**
   * <p>Sprawdza poprawno wyraenie logicznego skadajcego si z dowolnej iloci wyrae logicznych poaczonych sowmi AND lub OR.</p>
   *
   * @param ml multiwyraenie lgiczne
   * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
   */
  static public String sprawdz_multi_wyrazenie_logiczne(String ml)
  {
    if(ml.trim().length()==0)return "empty logical expression";
    if(por(ml.trim(),"true")==0)return "0";
    if(por(ml.trim(),"false")==0)return "0";
    Vector vand =  new Vector();
    Vector vor =  new Vector();
    vand.removeAllElements();
    vor.removeAllElements();
    int iand=0,ior=0;
    //dziele string na stringi bez and,ow i wrzucam je do wektora
    iand=0;
    while(iand!=-1)
    {
      iand = ml.indexOf("and");
      if(iand!=-1)vand.add(ml.substring(0,iand).trim());
      if(iand!=-1)ml = ml.substring(iand+3);
    }
    vand.add(ml);//dodaj reszte
    //teraz stringi z wektora rozbic na stringi bez or'ow
    int pet;
    for(pet=0;pet<vand.size();pet++)//dla karzdego stringa w wektorze
    {
      ior=0;
      ml=vand.get(pet).toString();
      while(ior!=-1)
      {
        ior = ml.indexOf("or");
        if(ior!=-1)vor.add(ml.substring(0,ior).trim());
        if(ior!=-1)ml = ml.substring(ior+2);
        else vor.add(ml);
      }
    }

    //teraz wszystki otrzymane wyrazenia arytmetyczne musimy sprawdzic
    for(pet=0;pet<vor.size();pet++)
    {
      ml = vor.get(pet).toString();
      //System.out.println("ml->"+ml);
      String wyn_swl = sprawdz_wyrazenie_logiczne(ml);
      if(por(wyn_swl,"0")!=0)return wyn_swl+" for "+vor.get(pet).toString();
    }
    return "0";
  }

  /**
   * <p>Sprawdza poprawno prostego wyraenia logicznego skadajcego.</p>
   *
   * @param wl wyraenie logiczne
   * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
   */
  static public String sprawdz_wyrazenie_logiczne(String wl)
  {
    boolean koniec=false;
    int gdzie_operator=-1;
    if(wl.length()==0)return "empty logical expression";
    int pet;
    for(pet=0;pet<wl.length();pet++)
    {
      if(czy_operator_logiczny1(wl.substring(pet,pet+1))==true)
      {
      gdzie_operator=pet;
      if(pet==0)return "incorrect start of logical experession (found '"+wl.substring(0,1)+"')";
      if(pet==wl.length()-1)return "incorrect end of logical experession (found '"+wl.substring(wl.length()-1,wl.length())+"')";
      if(pet==wl.length()-2)if(czy_operator_logiczny2(wl.substring(wl.length()-2))==true)return "incorrect end of logical experession (found '"+wl.substring(wl.length()-2)+"')";
      koniec=true;
      break;
    }
    }
    if(koniec==false)return "in logical expression account operator required (one from this: '<','>','=','<>','<=' or '>=')";
    //sprawdzamy przypadek zmiemma logiczna,stala logiczna,true,false = zmiemma logiczna,stala logiczna,true,false
    if(wl.substring(pet,pet+1).compareTo("=")==0)
    {
      String st_log = wl.substring(0,pet).trim();
      if(por(ustal_typ(st_log),"boolean")==0)
      {
        String prawa_log = wl.substring(pet+1,wl.length()).trim();
        if(por(ustal_typ(prawa_log),"boolean")==0)return "0";
        else return "const or variable in boolean type, 'true' or 'false' expected (found '"+prawa_log+"')";
      }
    }
    //sprawdzamy przypadek zmiemma logiczna,stala logiczna,true,false <> zmiemma logiczna,stala logiczna,true,false
    if(wl.substring(pet,pet+2).compareTo("<>")==0)
    {
      String st_log = wl.substring(0,pet).trim();
      if(por(ustal_typ(st_log),"boolean")==0)
      {
        String prawa_log = wl.substring(pet+2,wl.length()).trim();
        if(por(ustal_typ(prawa_log),"boolean")==0)return "0";
        else return "const or variable in boolean type, 'true' or 'false' expected (found '"+prawa_log+"')";
      }
    }
    //sprawdz_wyrazenie logiczne dziala na globalnym stringu operowany dlatego zastosujemy tric
    String tric = operowany;
    operowany = wl.substring(0,pet)+";";
    //System.out.println("operowany prawa->"+operowany);
    String prawa = sprawdz_wyrazenie_arytmetyczne("wolne");//wolne nie okreslonego typu
    if(por(prawa,"0")!=0)return prawa;
    if(czy_operator_logiczny2(wl.substring(pet,pet+2))==true)
      operowany = wl.substring(pet+2,wl.length())+";";
    else operowany = wl.substring(pet+1,wl.length())+";";
    //System.out.println("operowany lewa->"+operowany);
    String lewa = sprawdz_wyrazenie_arytmetyczne(lewy_typ_operatora_relacji);//typu zostal ustalony przez wykonanie procedury sprawdzenie wyrazenia arytmetycznego dla lewej strony wytazenie logiczneg i zapisany na zmiennej logicznej lewy_typ_opertora_relacji
    if(por(lewa,"0")!=0)return lewa;
    operowany=tric;
    return "0";
  }

  /**
   * <p>Sprawdza poprawno bloku begin end. Liczby beginw i endw musz by zgodne, po kadym endzie oprcz ostatniego wystpuje rednik.</p>
   * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
   */
  static public String sprawdz_begin()
  {
    //int pet;
    //for(pet=0;pet<v_const.size();pet++)System.out.print(v_const.get(pet)+" ");
    //System.out.println("");
    //for(pet=0;pet<v_const_typ.size();pet++)System.out.print(v_const_typ.get(pet)+" ");
    //System.out.println("");
    //for(pet=0;pet<v_var.size();pet++)System.out.print(v_var.get(pet)+" ");
    //System.out.println("");
    //for(pet=0;pet<v_var_typ.size();pet++)System.out.print(v_var_typ.get(pet)+" ");
    int itrik = enterow_wywalono;
    String blok_begin="";
    boolean koniec = false;
    boolean Oe=false;//zmienna mowiaca czy za elese bedzie jakas instrukcja (przynajmniej - pusta)

    while(koniec==false)//konczy sie bledem lub przeczytaniem calosci
    {
      blok_begin = blok_begin + instrukcje_puste_z_enterami("");

      czytaj_odstepy();
      if(operowany.length()==0)return "Line "+(enterow_wywalono+1)+": unexpected end of file";
      String pierwszy_znak = operowany.substring(0,1);
      if(por(pierwszy_znak,"(")==0)return "Line "+(enterow_wywalono+1)+": unexpected char '('";
      if(por(pierwszy_znak,".")==0)return "Line "+(enterow_wywalono+1)+": unexpected char '.'";
      if(por(pierwszy_znak,":")==0)return "Line "+(enterow_wywalono+1)+": unexpected char ':'";
      String slowko=czytaj_cos_bez_kropki_i_nawiasu_i_dwukropka("");

      //System.out.println("slowko bez kropki->"+slowko);
      //sprawdzenie poprawnosci beginow i endow
      if(por("begin",slowko)==0){beginow=beginow+1;Oe=true;}//zliczanie
      else
        if(por("end",slowko)==0)//konczy sie ; lub . zliczanie oraz endow<beginow
        {
          endow=endow+1;
          if(endow>beginow)return "Line "+(enterow_wywalono+1)+": unreachable 'end' (in if instruction)";

          if(endow==beginow)//koniec pliku oczekujemy (.)
          {
            if(Oe==false)return "Line "+(enterow_wywalono+1)+": after else instruction expected";
            blok_begin=blok_begin+czytaj_odstepy_z_enterami("");
            if(czytaj_kropke()==false)return "Line "+(enterow_wywalono+1)+": after end '.' expected";
            else //po kropce
            {
              blok_begin=blok_begin+czytaj_odstepy_z_enterami("");
              if(operowany.length()!=0)return "Line "+(enterow_wywalono+1)+": unreachable chars aftar 'end.'";
              else {koniec=true;}//ok
            }
          }

          if(endow<beginow)//oczekujemy ";"
          {
            blok_begin=blok_begin+czytaj_odstepy_z_enterami("");
            if(czytaj_srednik()!=1)return "Line "+(enterow_wywalono+1)+": after end ';' required";
          }

        }
        else //inne slowo
        {

          if(slowko.length()==0)return "Line "+(enterow_wywalono+1)+": 'end.' required";
          blok_begin = blok_begin + slowko;
          Oe=true;
          //wedlug nowej koncepcji
          if(czy_jest_taki_var(slowko+"^")==true)return "Line "+(enterow_wywalono+1)+": forbidden using dynanic variable '"+slowko+"' (use '"+slowko+"^')";
          if(czy_jest_taki_var(slowko)==true)
          {
            String poss = sprawdz_podstawienie(slowko);
            if(por(poss,"0")!=0)return "Line "+(enterow_wywalono+1)+": "+poss;
            if(czytaj_srednik()!=1)return "Line "+(enterow_wywalono+1)+"';' expected";
          }
          else if(por(slowko,"if")==0)
          {
            //System.out.println("if");
            String sprif = sprawdz_if();
            if(por(sprif,"0")==0);else
            if(por(sprif,"Oe")==0)Oe=false;
            else {
              return sprif;
            }

          }
          else if(por(slowko,"for")==0)
          {
            //System.out.println("for");
            String sprfor = sprawdz_for();
            if(por(sprfor,"0")!=0)return sprfor;
          }
          else
            if(por(slowko,"new")==0)
            {
              String sne = sprawdz_new();
              if(por(sne,"0")!=0)return sne;
            }
            else
              if(por(slowko,"dispose")==0)
              {
                String sne = sprawdz_dispose();
                if(por(sne,"0")!=0)return sne;
              }
              else{
                String pos = czy_we_wy(slowko);
                if(por(pos,"0")==0){if(czytaj_srednik()!=1)return "';' expected";}
                    /*Uwaga tutaj stwierdzamy iz dane slowko jest nie znane i jezeli chcesz rozwijac ilosc dostepnych polecen to tutaj jest na to miejsce (we/wy zwraca 1)*/
                else
                {
                  String wyns = pos;
                  if(por(wyns,"1")==0)return "Line "+(enterow_wywalono+1)+": unexpected string '"+slowko+"' (expected 'if','for',I/O or variable)";//niznane slowo
                  else return wyns;//blod dla we/wy
                }
              }
              blok_begin=blok_begin+czytaj_odstepy_z_enterami("");
              if(czytaj_srednik()==1)blok_begin=blok_begin+";";
              else blok_begin=blok_begin+" ";
        }
    }//od while'a
    //System.out.println("begin->"+blok_begin);
    enterow_wywalono=itrik;
    operowany=blok_begin;

    return "0";
  }

  /**
   * <p>Sprawdza poprawno instrukcji new. Wewntrz nawiasu musi wystpi zmienne wskanikowa</p>
   * @return <p>Zwraca: string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
   */
  static public String sprawdz_new()
  {
    //czytaj_odstepy();//po new niedozwolone odstepy
    if(czytaj_nawias()!=true)return "Line "+(enterow_wywalono+1)+": '(' expected";
    czytaj_odstepy();
    String stn = czytaj_cos_bez_zamykajacego("");
    //if(czy_jest_taki_var(stn)==true)return "Line "+(enterow_wywalono+1)+": scecond using 'new' for this same variable";
    if(czy_jest_taki_var(stn+"^")!=true)return "Line "+(enterow_wywalono+1)+": dynamic variable name expected";
    czytaj_odstepy();
    if(czytaj_nawias_zamykajacy()!=true)return "Line "+(enterow_wywalono+1)+": ')' expected";
    czytaj_odstepy();
    if(czytaj_srednik()!=1)return "Line "+(enterow_wywalono+1)+": ';' expected";
    //if(stn.indexOf("^")!=-1)return "Line "+(enterow_wywalono+1)+": using dynamic variable to create new dynamic variable is forbidden";
    //int ktor = czy_jest_taki_var_gdzie(stn);
    //v_var.set(ktor,stn.trim()+"^");
    //v_var_typ.set(ktor,ustal_typ(stn));
    v_new.addElement(""+stn+"^");
    return "0";
  }

  /**
   * <p>Sprawdza poprawno instrukcji dispose. Wewntrz nawiasu musi wystpi zmienne wskanikowa. Instrukcja dispose moe zosta wykonana tylo dla zainicjalizowanej zmiennej wskanikowej</p>
   * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
   */
  static public String sprawdz_dispose()
  {
    //czytaj_odstepy();//po new niedozwolone odstepy
    if(czytaj_nawias()!=true)return "Line "+(enterow_wywalono+1)+": '(' expected";
    czytaj_odstepy();
    String stn = czytaj_cos_bez_zamykajacego("");
    //if(czy_jest_taki_var(stn)==true)return "Line "+(enterow_wywalono+1)+": scecond using 'new' for this same variable";
    if(czy_jest_taki_var(stn+"^")!=true)return "Line "+(enterow_wywalono+1)+": dynamic variable name expected";
    czytaj_odstepy();
    if(czytaj_nawias_zamykajacy()!=true)return "Line "+(enterow_wywalono+1)+": ')' expected";
    czytaj_odstepy();
    if(czytaj_srednik()!=1)return "Line "+(enterow_wywalono+1)+": ';' expected";
    if(v_new.contains(""+stn+"^")) v_new.removeElement(""+stn+"^");
    else return "Line "+(enterow_wywalono+1)+": variable not initialized";
    //if(stn.indexOf("^")!=-1)return "Line "+(enterow_wywalono+1)+": using dynamic variable to create new dynamic variable is forbidden";
    //int ktor = czy_jest_taki_var_gdzie(stn);
    //v_var.set(ktor,stn.trim()+"^");
    //v_var_typ.set(ktor,ustal_typ(stn));

    return "0";
  }

  /**
 <p>Sprawdza czy zadany znak jest znakiem dozwolonum tzn.znakiem podkreleniem, liczb lub cyfr.</p>
 * @param sp <p>zadany znak</p>
 * @return <p>true - dozwolony znak, false - w przeciwnym przypadku</p>
 */
  static public boolean dozwolony_znak(String sp)
  {
    if(podkreslenie(sp)==true)return true;
    if(czy_litera(sp)==true)return true;
    if(czy_cyfra(sp)==true)return true;
    return false;
  }

  /**
   * <p>Sprawdza czy zadany znak jest znakiem dozwolonum tzn znakiem podkreleniem, liczb lub cyfr, lub znakiem '^'.</p>
   * @param sp <p>zadany znak</p>
   * @return <p>true - dozwolony znak, false - w przeciwnym przypadku</p>
   */
  static public boolean dozwolony_znak_i_daszek(String sp)
  {
    if(podkreslenie(sp)==true)return true;
    if(czy_litera(sp)==true)return true;
    if(czy_cyfra(sp)==true)return true;
    if(por("^",sp)==0)return true;
    return false;
  }

  /**
   * <p>Sprawdza czy zadany znak jest znakiem podkrelenia.</p>
   * @param sc <p>zadany znak</p>
   * @return <p>true - znak podkrelenia, false - w przeciwnym przypadku</p>
   */
  static public boolean podkreslenie(String sc)
  {
    if(por(sc,"_")==0)return true;
    return false;
  }

  /**
 * <p>Sprawdza czy zadany znak jest liter.</p>
 * @param sc <p>zadany znak</p>
 * @return <p>true - znak jest liter, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_litera(String sc)
  {
    if(por(sc,"q")==0)return true;
    if(por(sc,"w")==0)return true;
    if(por(sc,"e")==0)return true;
    if(por(sc,"r")==0)return true;
    if(por(sc,"t")==0)return true;
    if(por(sc,"y")==0)return true;
    if(por(sc,"u")==0)return true;
    if(por(sc,"i")==0)return true;
    if(por(sc,"o")==0)return true;
    if(por(sc,"p")==0)return true;
    if(por(sc,"a")==0)return true;
    if(por(sc,"s")==0)return true;
    if(por(sc,"d")==0)return true;
    if(por(sc,"f")==0)return true;
    if(por(sc,"g")==0)return true;
    if(por(sc,"h")==0)return true;
    if(por(sc,"j")==0)return true;
    if(por(sc,"k")==0)return true;
    if(por(sc,"l")==0)return true;
    if(por(sc,"z")==0)return true;
    if(por(sc,"x")==0)return true;
    if(por(sc,"c")==0)return true;
    if(por(sc,"v")==0)return true;
    if(por(sc,"b")==0)return true;
    if(por(sc,"n")==0)return true;
    if(por(sc,"m")==0)return true;
    return false;
  }

  /** <p>Sprawdza czy zadany znak jest cyfr.</p>
 * @param sc <p>zadany znak</p>
 * @return <p>true - znak jest cyfr, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_cyfra(String sc)
  {
    if(por(sc,"1")==0)return true;
    if(por(sc,"2")==0)return true;
    if(por(sc,"3")==0)return true;
    if(por(sc,"4")==0)return true;
    if(por(sc,"5")==0)return true;
    if(por(sc,"6")==0)return true;
    if(por(sc,"7")==0)return true;
    if(por(sc,"8")==0)return true;
    if(por(sc,"9")==0)return true;
    if(por(sc,"0")==0)return true;
    return false;
  }

  /**
 * <p>Sprawdza czy zadany string jest liczb.</p>
 * @param sc <p>zadany string</p>
 * @return <p>true - znak jest liczb, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_liczba(String sc)
  {
    int pet;
    int jedna_kropka=0;
    if(sc.length()==0)return false;
    for(pet=0;pet<sc.length();pet++)
      if(czy_cyfra(sc.substring(pet,pet+1))==false)
        if (por(sc.substring(pet,pet+1),".")==0)
        {
      jedna_kropka=jedna_kropka+1;
      if(pet==0)return false;
      if(pet==sc.length()-1)return false;
      if(jedna_kropka!=1)return false;
    }
    else
      if((pet==0)&&(por(sc.substring(pet,pet+1),"-")==0)&&(sc.length()>1)&&(czy_cyfra(sc.substring(1,2))==true))/*nothing*/;//przypadek liczby ujemnej
    else return false;
    return true;
  }

  /**
 * <p>Sprawdza czy zadany znak jest operatorem arytmetycznym.</p>
 * @param sc <p>zadany znak</p>
 * @return <p>true - znak jest operatorem arytmetycznym, false - w przeciwnym przypadku</p>
 */
  static public boolean operator_arytmetyczny(String sc)
  {
    if(por(sc,"+")==0)return true;
    if(por(sc,"-")==0)return true;
    if(por(sc,"*")==0)return true;
    if(por(sc,"/")==0)return true;
    return false;
  }

  /**
 * <p>Sprawdza czy zadany string jest sowem kluczowym.</p>
 * @param sc <p>zadany string</p>
 * @return <p>true - znak jest sowem kluczowym, false - w przeciwnym przypadku</p>
 */
  static public boolean kluczowe(String sc)
  {
    if(por(sc,"and")==0)return true;
    if(por(sc,"begin")==0)return true;
    if(por(sc,"const")==0)return true;
    if(por(sc,"do")==0)return true;
    if(por(sc,"else")==0)return true;
    if(por(sc,"end")==0)return true;
    if(por(sc,"false")==0)return true;
    if(por(sc,"for")==0)return true;
    if(por(sc,"if")==0)return true;
    if(por(sc,"or")==0)return true;
    if(por(sc,"program")==0)return true;
    if(por(sc,"string")==0)return true;
    if(por(sc,"then")==0)return true;
    if(por(sc,"to")==0)return true;
    if(por(sc,"true")==0)return true;
    if(por(sc,"var")==0)return true;
    if(por(sc,"real")==0)return true;
    if(por(sc,"integer")==0)return true;
    if(por(sc,"boolean")==0)return true;
    if(por(sc,"read")==0)return true;
    if(por(sc,"readln")==0)return true;
    if(por(sc,"write")==0)return true;
    if(por(sc,"writeln")==0)return true;
    return false;
  }

  /**
 * <p>Sprawdza czy zadany string jest stringiem tzn jest zamknity w znaki cudzysowu.</p>
 * @param spra <p>zadany string</p>
 * @return <p>true - zadany string jest stringiem, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_string(String spra)
      {//jedyny warunek na poczatku i koncu cudzyslow
    String pomst1,pomst2;
    if(spra.length()<2)return false;
    pomst1 = spra.substring(0,1);
    pomst2 = spra.substring(spra.length()-1,spra.length());
    if((por(pomst1,"'")==0)&&(por(pomst2,"'")==0))return true;
    return false;
  }

  /**
 * <p>Sprawdza czy zadany string jest integerem.</p>
 * @param spra <p>zadany string</p>
 * @return <p>true - zadany string jest typu integer, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_integer(String spra)
      {//jezel java potrafi zrobic z tego integer to dla nas jest to tez integer
    try
    {
      Integer integ = new Integer(spra);
      }catch(NumberFormatException er){return false;}
      return true;
  }

  /**
 * <p>Sprawdza czy zadany string jest typu integer i jest wiekszy od zera.</p>
 * @param spra <p>zadany string</p>
 * @return <p>true - zadany string jest dodatnim integerem, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_integer_dodatni(String spra)
      {//jezel java potrafi zrobic z tego integer to dla nas jest to tez integer
    try
    {
      Integer integ = new Integer(spra);
      if(integ.intValue()<0)return false;
      }catch(NumberFormatException er){return false;}
      return true;
  }

  /**
 * <p>Sprawdza czy zadany string odpowiada dozwolonej nazwie typu.</p>
 * @param spra <p>zadany string</p>
 * @return <p>true - zadany string jest poprawn nazw typu, false - w przeciwnym przypadku</p>
 */
  static public String czy_typ(String spra)
  {
    if(por(spra,"boolean")==0)return "boolean";
    if(por(spra,"integer")==0)return "integer";
    if(por(spra,"real")==0)return "real";
    if(por(spra,"string")==0)return "string";
    return "1";
  }

  /**
 * <p>Sprawdza czy zadany znak jest operatorem arytmetycznym.</p>
 * @param spra <p>zadany znak</p>
 * @return <p>true - znak jest operatorem arytmetycznym, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_operator(String spra)
  {
    if(por(spra,"+")==0)return true;
    if(por(spra,"-")==0)return true;
    if(por(spra,"/")==0)return true;
    if(por(spra,"*")==0)return true;
    return false;
  }

  /**
 * <p>Sprawdza czy zadany znak jest pojedyczym operatorem relacji.</p>
 * @param spra <p>zadany znak</p>
 * @return <p>true - znak jest operatorem relacji, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_operator_logiczny1(String spra)
  {
    if(por(spra,"=")==0)return true;
    if(por(spra,">")==0)return true;
    if(por(spra,"<")==0)return true;
    return false;
  }

  /**
 * <p>Sprawdza czy zadany znak jest podwjnym operatorem relacji.</p>
 * @param spra <p>zadany znak</p>
 * @return <p>true - znak jest operatorem relacji, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_operator_logiczny2(String spra)
  {
    if(por(spra,">=")==0)return true;
    if(por(spra,"<>")==0)return true;
    if(por(spra,"<=")==0)return true;
    return false;
  }

  /**
 * <p>Sprawdza czy zadany string jest typu real.</p>
 * @param spra <p>zadany string</p>
 * @return <p>true - zadany string jest typu real, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_real(String spra)
      {//jezel java potrafi zrobic z tego integer to dla nas jest to tez integer
    //if(czy_integer(spra)==true)return true;
    int ip = spra.indexOf(".");
    if(ip==-1)return false;//bez kropki to integer;
    if(ip+1==spra.length())return false;//kropka na koncu niedopuszczalna
    if(ip==0)return false;//kropka na poczatku niedopuszczalna
    String przed = spra.substring(0,ip);
    String po = spra.substring(ip+1,spra.length());
    if((czy_integer(przed)==true)&&(czy_integer_dodatni(po)==true))return true;
    return false;
  }

  /**
    * <p>Sprawdza czy zadany string jest typu boolean.</p>
    * @param spra <p>zadany string</p>
    * @return <p>true - zadany string jest typu boolean, false - w przeciwnym przypadku</p>
    */
  static public boolean czy_boolean(String spra)
  {
    if((por(spra,"true")==0)||(por(spra,"false")==0))return true;
    return false;
  }

  /**
 * <p>Sprawdza czy utworzono sta o takim indyfikatorze.</p>
 * @param spr <p>zadany string</p>
 * @return <p>true - posiadamy ju tak sta, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_jest_taki_const(String spr)
  {
    int pet;
    for(pet=0;pet<v_const.size();pet++)
    {
      if(por(spr,v_const.get(pet).toString())==0)return true;
    }
    return false;
  }

  /**
 * <p>Sprawdza czy utworzono sta o takim indyfikatorze i zwraca indeks tej staej w wektorze staych.</p>
 * @param spr <p>zadany string</p>
 * @return <p>indeks staej w wektorz lub -1 gdy nie znaleiono takiej staej</p>
 */
  static public int czy_jest_taki_const_gdzie(String spr)
  {
    int pet;
    for(pet=0;pet<v_const.size();pet++)
    {
      if(por(spr,v_const.get(pet).toString())==0)return pet;
    }
    return -1;
  }

  /**
 * <p>Sprawdza czy utworzono zmienn o takim indyfikatorze.</p>
 * @param spr <p>zadany string</p>
 * @return <p>true - posiadamy ju tak zmienn, false - w przeciwnym przypadku</p>
 */
  static public boolean czy_jest_taki_var(String spr)
  {
    int pet;
    for(pet=0;pet<v_var.size();pet++)
    {
      if(por(spr,v_var.get(pet).toString())==0)return true;
    }
    return false;
  }

  /**
 * <p>Sprawdza czy utworzono zmienn o takim indyfikatorze i zwraca indeks tej staej w wektorze staych.</p>
 * @param spr <p>zadany string</p>
 * @return <p>indeks zmiennej w wektorz lub -1 gdy nie odnaleiono takiej zmiennej</p>
 */
  static public int czy_jest_taki_var_gdzie(String spr)
  {
    int pet;
    for(pet=0;pet<v_var.size();pet++)
    {
      if(por(spr,v_var.get(pet).toString())==0)return pet;
    }
    return -1;
  }

  //czy jest to operacja WE/WY
  //operujemy na czym takim readln(zmienna),read(zmienna);
  //oraz writeln("string");writeln(4);writeln(4.6);writeln(true);writeln(zmienna);writeln(stala); oraz wszystkie write(<-)
  //UWAGA wynik "1" - nie jest to operacja we/wy lub podobna
  //blad jesli podobny do operacji we/wy ala cos mu brakuje
  //"0" - poprawna operacja we/wy
  /**
 * <p>Sprawdza poprawno operacji We/Wy.</p>
 * @param spr <p>instrukcja We/Wy np. readln</p>
 * @return <p>string "0" - poprawne wykonanie operacji WE/WY, "1" - nie stwierdzono instrukcji WE/WY lub komunikat bdu w kadym innym przypadku</p>
 */
  static public String czy_we_wy(String spr)
  {

    if(czytaj_nawias()==false)//brak nawiasu '('
      if(por(czy_read_write(spr),"997")==0)return "1";//nie jest to operacja we/wy
    else {return czy_read_write(spr)+ " - expected '('";}//operacja we/wy ale bez ()
    else //czy jest nawias ')'
    {
      czytaj_odstepy();
      String nawias;
      if(operowany.indexOf("'")==0)nawias = czytaj_string("",0);
      else nawias = czytaj_cos_bez_zamykajacego("");

      String w_nawiasie=nawias;
      //System.out.println("nawias inelig->"+nawias);
      czytaj_odstepy();
      if(czytaj_nawias_zamykajacy()==false)//nie ma zymakjacego
        if(por(czy_read_write(spr),"997")==0)return "1";//nie jest to operacja we/wy
      else return czy_read_write(spr)+" - expected ')'";//operacja we/wy ale bez ()
      else //jest zamykajacy
        if(czy_read_write(spr).length()<1)return "1";//nie jest to operacja we/wy
      else //mamy dwa nawiasy
      {
        if(czy_jest_taki_var(w_nawiasie)==true)
        {
          czytaj_odstepy();
          return "0";
        }
        else
          if(czy_jest_taki_const(w_nawiasie)==true)
          {
            if((por(spr,"write")==0)||(por(spr,"writeln")==0))
                                 {czytaj_odstepy();return "0";}
            else return "Line "+(enterow_wywalono+1)+": reading in const '"+w_nawiasie+"' impossible";
          }
          else
            if((czy_integer(w_nawiasie)==true)||(czy_real(w_nawiasie)==true)||(czy_boolean(w_nawiasie)==true)||(czy_string(w_nawiasie)==true))
            {
              if((por(spr,"write")==0)||(por(spr,"writeln")==0))
              {
                czytaj_odstepy();
                return "0";
              }
              else return "Line "+(enterow_wywalono+1)+": unidetified string '"+w_nawiasie+"' (expected: variable name)";
            }
            else return "Line "+(enterow_wywalono+1)+": unidetified variable or incorrect type in I/O operation - '"+w_nawiasie+"' (expected: variable name or string, integer ,real or boolean value)";
      }
    }
  }

  /**
 * <p>Funkcja dajca komunikat bdu dla przypadku wykonania instrukcji WE/WY bez nawiasw.</p>
 * @param spr <p>nazwa instrukcji</p>
 * @return <p>komunikat bdu</p>
 */
  static protected String czy_read_write(String spr)
  {
    if(por(spr,"read")==0)return "Line "+(enterow_wywalono+1)+": read(variable) or read(value) expected";
    if(por(spr,"readln")==0)return "Line "+(enterow_wywalono+1)+": readln(variable) or readln(value) expected";
    if(por(spr,"writeln")==0)return "Line "+(enterow_wywalono+1)+": writeln(variable) or writeln(value) expected";
    if(por(spr,"write")==0)return "Line "+(enterow_wywalono+1)+": write(variable) or write(value) expected";
    return "997";
  }


  /**
 <p>Wywouje funkcje sprawdzajce kolejne bloki programu (var, const, begin end).</p>
 * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
 */
//sprawdza czy mamy nazwe programu lub blok deklaracji czy tez od razu begin
  static public String sprawdz_poczatek()
  {
    czytaj_odstepy();
    if(czytaj_srednik()==1)return "Line "+(enterow_wywalono+1)+": program, var, or begin expected (found ';'). ";
    String  slo = czytaj_cos("");
    String pomspr="";
    String prog="program,",con="const,",va="var or",beg="begin";
    if(por(slo,"program")==0)
    {
      pomspr = sprawdz_program();
      if(pomspr.compareTo("0")!=0)return pomspr;
      //blok program poprawny
      //bierzemy nastepne slowo
      slo = czytaj_cos("");
      prog = "";
    };//porogram
    if(por(slo,"const")==0)
                        {//deklaracja stalych
      pomspr = sprawdz_const();
      if(pomspr.compareTo("0")!=0)return pomspr;
      //blok const poprawny
      //bierzemy nastepne slowo
      slo = czytaj_cos("");
      con = "";prog="";
    }
    if(por(slo,"var")==0)
                      {//deklaracja zmiennych
      pomspr = sprawdz_var();
      if(pomspr.compareTo("0")!=0)return pomspr;
      //blok var poprawny
      //bierzemy nastepne slowo
      slo = czytaj_cos("");
      va = "";prog="";
    }
    if(por(slo,"begin")==0)
                        {//blok begin
      operowany = "begin "+operowany;
      pomspr = sprawdz_begin();
      //if moze zwracac wypis z wielokrotnym wskazaniem lini bledu (powod zaglebianie sie w begin end w if'ie) dlatego sztucznie skrocimy komunikat
      int kon_line = pomspr.lastIndexOf("Line");
      //System.out.println(pomspr+":"+kon_line);
      if(kon_line!=-1)pomspr=pomspr.substring(kon_line,pomspr.length());
      if(pomspr.compareTo("0")!=0)return pomspr;
      else return "file OK";
    }
    if(slo.length()==0)slo="nothing";
    return "Line "+(enterow_wywalono+1)+": "+prog+" "+con+" "+va+" "+beg+" expected (found '"+slo+"')";
  }

  /**
 <p>Wywouje funkcje sprawdzajce poprawno uytych komentarzy oraz funkcji sprzwdzania programu bez komentarzy.</p>
 * @return <p>string "0" - nie stwierdzono bdw, komumikat bdu - w przeciwnym przypadku</p>
 */
  static public String sprawdzanie()
  {
    enterow_wywalono = 0;
    beginow = 0;
    endow = 0;
    v_const.removeAllElements();
    v_var.removeAllElements();
    v_const_typ.removeAllElements();
    v_var_typ.removeAllElements();
    operowany = jta_plik.getText();
    operowany = operowany.toLowerCase();
    if(operowany.length()==0)return "Empty file";//pusty plik
    String spom = sprawdz_komentarze();//sprawdzenie zawartosci komentarzy
    if(operowany.length()==0)return "Only comments in file";
    if(spom.compareTo("0")!=0)return spom;
    spom = sprawdz_poczatek();
    if(spom.compareTo("0")!=0)return spom;
    return "File OK";
  }

  /**
 * <p>Startuje program.</p>
 * @param args parametry wywoania z linii polece
 */
  public static void main(String args[])
  {
    System.out.println("Starting Poprawiacz...");
    Poprawiacz fg = new Poprawiacz();
    fg.setTitle("Checker");
    fg.pack();
    fg.setJMenuBar(fg.daj_menu());
    fg.setExtendedState(MAXIMIZED_BOTH);
    fg.getContentPane().add(daj_panel());
    fg.setVisible(true);
  }
}
